#! /usr/bin/python

# (C) 2005 Muthiah Annamalai 
#
# What the hell was it supposed to do?
# A: Read from the function list, and make python readable arrays.
# second stage after running a lexer on the .h file.
import sys

class FunctionStruct:
    def __init__(self):
        """default init function"""
        self.ReturnType=""
        self.Name =  ""
        self.ArgsList = [] #{type:default_argument}
        self.definition = {}
	self.info = None
        
    def write(self):
        #print "def: ",self.definition
        print "[\t\""+self.ReturnType+"\",\n\t\""+self.Name+"\",\n\t",self.ArgsList,"\n]"
	#print "# "+self.info
        #print "rt",self.ReturnType
        #print "name",self.Name
        #print "args",self.ArgsList

class CommentStruct:
    def __init__(self,comment_str):
        self.comment=comment_str

    def write(self):
        print self.comment
        

def writeFormat(FcnList):
    print "#/* AutoGenerated File : DONOT-EDIT */"
    print "#/* Contains GTK library functions like this: */"
    print "#/* [ret-type, func-name, {type1:param-name1, ...}] */"
    print "function_list = ["
    for i in range(0,len(FcnList)):
        if not (FcnList[i] is None):
            FcnList[i].write()
            if(hasattr(FcnList[i],"comment")):
                pass
            elif(i < len(FcnList)-1):
                print ","
    print "]"
    return None

def  doTheHardWork(line):
    fs=FunctionStruct()
    
    fs.definition = line

    if(line[0]==';' or line[0]=='#' or len(line.strip())<1):#comments,#defines & newlines
        return None
    
    #find return type.
    rt=line.find(" ")
    if(rt!=-1 ):
        if line[:rt]=="extern" or line[:rt]=="typedef":
            sys.stderr.write("losing: "+line+"\n")
            return None #extern things are mostly library stuff, dont wrap it.
            rt=rt+1
            line=line[rt:].strip()
            rt=line.find(" ")
        elif line[:rt]=="G_CONST_RETURN":
            line=line[rt:].strip()
            #sys.stderr.write("G_CONST found "+fs.ReturnType+" \n");
            rt=line.find(" ");
        elif line[:rt]=="const":
            line=line[rt:].strip()
            rt=line.find(" ");
        elif line[:rt]=="G_GNUC_PRINTF":
            line=line[rt:].strip()
            rt=""
        elif line[:rt]=="G_MODULE_EXPORT":
            line=line[rt:].strip()
            rt=line.find(" ")
    
    line=line.strip()
    rt=line.find(" ")
    if rt!= -1 and line[rt+1]=="*":
        rt=rt+2
        fs.ReturnType=line[:rt]
        #print ">>>"+line+" / "+str(rt)+" / "+fs.ReturnType+"<<<"
        #line=line[rt+1:]
        rt=rt-1
    else:
        fs.ReturnType=line[:rt]
    
    #find function name
    fn=line.find("(")
    fs.Name=line[rt+1:fn].strip()
    del rt

    if(fs.Name==""):
        sys.stderr.write("Weve got some mess ..."+fs.ReturnType+"\n")
        fs.Name=fs.ReturnType
        fs.ReturnType="int"
    
        
    #find arguments
    al=line.find(")")
    arglist=line[fn+1:al]
    del al
    del fn
    
    arglist=arglist.split(",")
    #        print arglist
    
    for z in arglist:
        z=z.strip()
        rt=z.find(" ")
        
        #reached VarArgs..
        if(z.find("...")>=0):
            #sys.stderr.write("Found VarArgs..\n")
            fs.ArgsList.append({"char *":"varargs_value"})
            break;
        
        if(rt!=-1):
            if(z[:rt]=="const" or z[:rt]=="G_CONST_RETURN"):
                z=z[rt+1:]
                rt=z.find(" ")
        
        if(rt != -1):                
            if(z[rt+1]=="*"):
                rt=rt+1                    
            tn=z[0:rt+1].strip()
            tv=z[rt+1:].strip()

            fs.ArgsList.append({tn:tv})
        else:
            fs.ArgsList.append({z.strip():""})
    return fs
    

def format(filename):
    fp=open(filename)
    data=fp.readlines()
    fp.close()

    FcnList=[]

    for line in data:
        fs=doTheHardWork(line)
        if fs is None:
            continue
	fs.info=line
        FcnList.append(fs)
    writeFormat(FcnList);

if __name__ == "__main__":
    import sys
    if len(sys.argv) >= 2:
        format(sys.argv[1])
    else:
        print "Usage: ./structer.py <filename>"
        doTheHardWork("G_CONST_RETURN char *gdk_get_program_class (void);").write()
        doTheHardWork("PangoContext *gdk_pango_context_get_for_screen (GdkScreen    *screen);").write()
        doTheHardWork("gboolean gdk_init_check (gint *argc,gchar ***argv);").write()
        doTheHardWork("gchar* gdk_get_display (void);").write();
        doTheHardWork("gint gdk_screen_height (void) G_GNUC_CONST;").write();
