#! /usr/bin/octave -q

% * This program is free software.
% * This code is a part of Octave-GTK
% * Code may be used or distributed under GPL.
% * (C) Feb 2005 Muthiah Annamalai, Octave-GTK & Octave-libGlade


xml="";
prev=0; %1-> Add, 2->Sub, 3-> Mul, 4->Div, 5->Pow, 6->Mod
opr1=0; %operand 1
opr2=0; %operand 2
calcmem=0;

disp('Calculator example with octave-libglade')

function memplus_clicked()
  global calcmem
  calcmem=calcmem+get_result();
end

function memcancel_clicked()
  global calcmem
  set_result(calcmem);
  calcmem=0;
end



function equ_clicked()
  global prev
  global opr1
  global opr2

  opr2=get_result();

  if prev==1
    val=opr1+opr2;
  elseif prev==2
      val=opr1-opr2;
  elseif prev==3
      val=opr1*opr2;
  elseif prev==4
      val=opr1/opr2;
  elseif prev==5
      val=opr1**opr2;
  elseif prev==6
      val=rem(opr1,opr2);
  else
    disp("Unknown state of prev");
    printf("prev=%d\n",prev);
  end
  set_result(val);
  opr1=0;
  opr2=0;
  prev=-1;
end

function res=get_result()
     global xml
     result=glade_xml_get_widget(xml,"result");
     try
       res=str2num(gtk_entry_get_text(result));
     catch
       disp('Invalid Input')
       gtk_entry_set_text(result,"0");
       res=0
     end_try_catch
     return;
end


function set_result(val)
     global xml
     result=glade_xml_get_widget(xml,"result");
     gtk_entry_set_text(result,num2str(val))
     return;
end


function concat_result(digit)
     global xml
     result=glade_xml_get_widget(xml,"result");
     val=gtk_entry_get_text(result);
     val=strcat(val,digit);
     gtk_entry_set_text(result,val);
     return;
end

function wid=calc_get_widget(name)
    global xml
    wid=glade_xml_get_widget(xml,name);
    return ;
end

function set_prev(val)
  global prev
  prev=val;
end

function  set_opr1_clear_result(val)
  global opr1
  opr1=val;
  set_result(0);
end

function fact_clicked()
  num=get_result();
  fact=1;
  for i=1:num
    fact=fact.*i;
  end
  set_result(fact);
end

function sin_clicked()
  num=get_result();
  set_result(sin(num));
end
  

function cos_clicked()
  num=get_result();
  set_result(cos(num));
end

function log_clicked()
  num=get_result();
  set_result(real(log(num))); %take real part alone.
end


function clear_clicked()
  set_result(0);
end


function one_clicked()
  concat_result("1");
end

function two_clicked()
  concat_result("2");
end


function three_clicked()
  concat_result("3");
end


function four_clicked()
  concat_result("4");
end


function five_clicked()
  concat_result("5");
end

function six_clicked()
  concat_result("6");
end

function seven_clicked()
  concat_result("7");
end


function eight_clicked()
  concat_result("8");
end

function nine_clicked()
  concat_result("9");
end


function zero_clicked()
  concat_result("0");
end


function dot_clicked()
  concat_result(".");
end



function add_clicked()
  set_prev(1);
  set_opr1_clear_result(get_result());
end


function sub_clicked()
  set_prev(2);
  set_opr1_clear_result(get_result());
end


function mul_clicked()
  set_prev(3);
  set_opr1_clear_result(get_result());
end


function div_clicked()
  set_prev(4);
  set_opr1_clear_result(get_result());
end


function pow_clicked()
  set_prev(5);
  set_opr1_clear_result(get_result());
end

function mod_clicked()
  set_prev(6);
  set_opr1_clear_result(get_result());
end



function plusminus_clicked()
  num=get_result();
  num=num*-1;
  set_result(num);
end


function main()
  global xml
  global calcmem

  gtk();
  glade();
  gtk_init();

  calcmem=0;%if not uninitialized causes problems.

  xml=glade_xml_new("calc.glade","calculator","");  
  calc=glade_xml_get_widget(xml,"calculator");

  %change the text direction
  result=calc_get_widget("result");
  gtk_widget_set_direction(result,2);%GTK_TEXT_DIR_RTL

  glade_xml_signal_autoconnect(xml);
  gtk_widget_show_all(calc);
  gtk_main();
end

main()