/*
 *    Octave-Gtk
 *       The GUI bridge from octave.
 *    Copyright (C) Feb 2005 Muthiah Annamalai, Octave-GTK
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details. 
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#include<iostream>
#include<octave/oct.h>
#include<octave/parse.h>
#include<octave/dynamic-ld.h>
#include<octave/oct-map.h>
#include<octave/oct-stream.h>
#include<octave/parse.h> /* for feval */
#include<vector>
#include<string>



using namespace std;

extern "C"
{
#include<gtk/gtk.h>
#include<string.h>

/* for FORK */
#include<sys/types.h>
#include<unistd.h>
}

DEFUN_DLD( gdk_gc_set_dashes , args , , " void gdk_gc_set_dashes (GdkGC * gc,gint dash_offset,gint8 dash_list[],gint n); " )
{
GdkGC *   gc ;
gint   dash_offset ;
gint8  *dash_list ;
gint   n ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gdk_gc_set_dashes (GdkGC * gc,gint dash_offset,gint8 dash_list[],gint n); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_set_dashes "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
dash_offset = (  gint  ) args( 1 ).int_value();
dash_list = (  gint8*  ) args( 2 ).int_value();
n = (  gint  ) args( 3 ).int_value();
gdk_gc_set_dashes ( gc,dash_offset,dash_list,n);
return octave_value();
}

DEFUN_DLD( gdk_parse_args , args , , " void gdk_parse_args (gint * argc,gchar * **argv); " )
{
#ifdef DEBUG
std::cout<<" gdk_parse_args "<<std::endl;
#endif /* DEBUG */
gdk_parse_args (NULL,NULL);
return octave_value();
}

DEFUN_DLD( gdk_init_check , args , , " gboolean gdk_init_check (); " )
{
	long int ret_type=(long int) gdk_init_check (NULL,NULL);
return octave_value(ret_type);
}

DEFUN_DLD(gdk_hello_world, args, , "hello world!")
{
  return octave_value();
}
DEFUN_DLD( gdk_color_parse , args , , "GdkColor * color gdk_color_parse (gchar * spec); " )
{
gchar *   spec ;
GdkColor * color=(GdkColor *)g_malloc(sizeof(GdkColor)*1) ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkColor gdk_color_parse (gchar * spec); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_color_parse "<<std::endl;
#endif /* DEBUG */

 spec = (gchar *)g_malloc(sizeof(gchar)*(args( 0 ).string_value ().length()));
 strcpy( (char *) spec ,args( 0 ).string_value().c_str());
 long int ret_type=(long int) gdk_color_parse ( spec,color);
 g_free(spec);

 return octave_value(color);
}
