#include<gtk/gtk.h>
#include<glib/gprintf.h>
#include<glade/glade.h>
#include<glade/glade-parser.h>

static GSList *signal_list;

typedef struct NewSignalInfo
{
  GladeSignalInfo *siginfo;
  char *name;
} NewSignalInfo;

void process_toplevel(GladeWidgetInfo *widget)
{
  static int depth=0;
  int i=0;
  
#if 0
  g_printf("\n");
  for(i=depth;i--;g_printf(" "));  
#endif 

  for(i=0;i<widget->n_signals;i++){
      GladeSignalInfo *signals=widget->signals+i;      

      NewSignalInfo *ns= (NewSignalInfo *)g_malloc(sizeof(NewSignalInfo));
      g_assert(ns!=NULL);
      ns->siginfo=signals;
      ns->name=widget->name;

#if 0
      g_message("Widget=%s",widget->name);
      g_message("Name=%s  Handler=%s Object=%s After=%d",
		signals->name, signals->handler,signals->object,signals->after==TRUE
		);      
#endif

      g_slist_append(signal_list,
		     (void *)ns);
  }
  
  for(i=0;i<widget->n_children;i++)
    {
      GladeChildInfo *child=widget->children + i;
      depth++;
      process_toplevel(child->child);
      depth--;
    }
  return;
}

void print_siginfo(NewSignalInfo *siginfo)
{
  GladeSignalInfo *signals=siginfo->siginfo;  
  g_assert(signals!=NULL);
  g_message("Widget=%s Name=%s  Handler=%s Object=%s After=%d",
	    siginfo->name,signals->name, signals->handler,
	    signals->object,signals->after==TRUE
	    );  
}

int main(int argc, char *argv[])
{
  GladeInterface *iface=NULL;
  int i=0;
  signal_list=NULL;
  signal_list=g_slist_alloc();


  if(argc==1)
    {
      g_message("Usage: ./list <filename.glade>");
      return -1;
    }

  //gtk_init(NULL,NULL);
  glade_init();

  if(!(iface=glade_parser_parse_file(argv[1],NULL))){
    g_message("File couldn't be opened");
    return -1;
  }

  for(i=0;i<iface->n_toplevels;i++){
    process_toplevel(*(iface->toplevels+i));
  }

  g_slist_foreach(signal_list->next,(GFunc)print_siginfo,NULL);
  g_slist_free(signal_list);
  return 0;
}
/*
 gcc listsig.c `pkg-config --cflags --libs libgnomeui-2.0` -I /usr/include/libglade-2.0/ -lglade-2.0
*/
