/* Standard headers std.header */
/* Standard headers std.header */
/*
 * This program is free software.
 * This code is a part of Octave-GTK
 * Code may be used or distributed under GPL.
 * (C) Feb 2005 Muthiah Annamalai, Octave-GTK
 */

/*
 *    Octave-Gtk
 *       The GUI bridge from octave.
 *    Copyright (C) Feb 2005 Muthiah Annamalai, Octave-GTK
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details. 
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#include<iostream>
#include<octave/oct.h>
#include<octave/parse.h>
#include<octave/dynamic-ld.h>
#include<octave/oct-map.h>
#include<octave/oct-stream.h>
#include<octave/parse.h> /* for feval */
#include<vector>
#include<string>



using namespace std;

extern "C"
{
#include<gtk/gtk.h>
#include<string.h>

/* for FORK */
#include<sys/types.h>
#include<unistd.h>

/* #include "../config.h" */
}

gboolean octave_gtk_function(void* data);
void octave_gtk_signal_function(void);
/* void: zero arguments taken */
DEFUN_DLD( pango_color_get_type , args , , " GType pango_color_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" pango_color_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) pango_color_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( pango_color_copy , args , , " PangoColor * pango_color_copy (PangoColor * src); " )
{
PangoColor *   src ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoColor * pango_color_copy (PangoColor * src); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_color_copy "<<std::endl;
#endif /* DEBUG */
src =( PangoColor * )args( 0 ).long_value();
long int ret_type= (long int) pango_color_copy ( src);
return octave_value(ret_type);
}
DEFUN_DLD( pango_color_free , args , , " void pango_color_free (PangoColor * color); " )
{
PangoColor *   color ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void pango_color_free (PangoColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_color_free "<<std::endl;
#endif /* DEBUG */
color =( PangoColor * )args( 0 ).long_value();
pango_color_free ( color);
return octave_value();
}
DEFUN_DLD( pango_color_parse , args , , " gboolean pango_color_parse (PangoColor * color,char * spec); " )
{
PangoColor *   color ;
char *   spec ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean pango_color_parse (PangoColor * color,char * spec); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_color_parse "<<std::endl;
#endif /* DEBUG */
color =( PangoColor * )args( 0 ).long_value();
spec = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) spec ,args( 1 ).string_value().c_str());
long int ret_type=(long int) pango_color_parse ( color,spec);
return octave_value(ret_type);
}
DEFUN_DLD( pango_attr_type_register , args , , " PangoAttrType pango_attr_type_register (gchar * name); " )
{
gchar *   name ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoAttrType pango_attr_type_register (gchar * name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_type_register "<<std::endl;
#endif /* DEBUG */
name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) name ,args( 0 ).string_value().c_str());
long int ret_type=(long int) pango_attr_type_register ( name);
return octave_value(ret_type);
}
DEFUN_DLD( pango_attribute_copy , args , , " PangoAttribute * pango_attribute_copy (PangoAttribute * attr); " )
{
PangoAttribute *   attr ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoAttribute * pango_attribute_copy (PangoAttribute * attr); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attribute_copy "<<std::endl;
#endif /* DEBUG */
attr =( PangoAttribute * )args( 0 ).long_value();
long int ret_type= (long int) pango_attribute_copy ( attr);
return octave_value(ret_type);
}
DEFUN_DLD( pango_attribute_destroy , args , , " void pango_attribute_destroy (PangoAttribute * attr); " )
{
PangoAttribute *   attr ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void pango_attribute_destroy (PangoAttribute * attr); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attribute_destroy "<<std::endl;
#endif /* DEBUG */
attr =( PangoAttribute * )args( 0 ).long_value();
pango_attribute_destroy ( attr);
return octave_value();
}
DEFUN_DLD( pango_attribute_equal , args , , " gboolean pango_attribute_equal (PangoAttribute * attr1,PangoAttribute * attr2); " )
{
PangoAttribute *   attr1 ;
PangoAttribute *   attr2 ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean pango_attribute_equal (PangoAttribute * attr1,PangoAttribute * attr2); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attribute_equal "<<std::endl;
#endif /* DEBUG */
attr1 =( PangoAttribute * )args( 0 ).long_value();
attr2 =( PangoAttribute * )args( 1 ).long_value();
long int ret_type=(long int) pango_attribute_equal ( attr1,attr2);
return octave_value(ret_type);
}
DEFUN_DLD( pango_attr_language_new , args , , " PangoAttribute * pango_attr_language_new (PangoLanguage * language); " )
{
PangoLanguage *   language ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoAttribute * pango_attr_language_new (PangoLanguage * language); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_language_new "<<std::endl;
#endif /* DEBUG */
language =( PangoLanguage * )args( 0 ).long_value();
long int ret_type= (long int) pango_attr_language_new ( language);
return octave_value(ret_type);
}
DEFUN_DLD( pango_attr_family_new , args , , " PangoAttribute * pango_attr_family_new (char * family); " )
{
char *   family ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoAttribute * pango_attr_family_new (char * family); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_family_new "<<std::endl;
#endif /* DEBUG */
family = new  char   [args( 0 ).string_value ().length()];
strcpy( (char *) family ,args( 0 ).string_value().c_str());
long int ret_type= (long int) pango_attr_family_new ( family);
return octave_value(ret_type);
}
DEFUN_DLD( pango_attr_foreground_new , args , , " PangoAttribute * pango_attr_foreground_new (guint16 red,guint16 green,guint16 blue); " )
{
guint16   red ;
guint16   green ;
guint16   blue ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  PangoAttribute * pango_attr_foreground_new (guint16 red,guint16 green,guint16 blue); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_foreground_new "<<std::endl;
#endif /* DEBUG */
red = (  guint16  ) args( 0 ).int_value();
green = (  guint16  ) args( 1 ).int_value();
blue = (  guint16  ) args( 2 ).int_value();
long int ret_type= (long int) pango_attr_foreground_new ( red,green,blue);
return octave_value(ret_type);
}
DEFUN_DLD( pango_attr_background_new , args , , " PangoAttribute * pango_attr_background_new (guint16 red,guint16 green,guint16 blue); " )
{
guint16   red ;
guint16   green ;
guint16   blue ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  PangoAttribute * pango_attr_background_new (guint16 red,guint16 green,guint16 blue); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_background_new "<<std::endl;
#endif /* DEBUG */
red = (  guint16  ) args( 0 ).int_value();
green = (  guint16  ) args( 1 ).int_value();
blue = (  guint16  ) args( 2 ).int_value();
long int ret_type= (long int) pango_attr_background_new ( red,green,blue);
return octave_value(ret_type);
}
DEFUN_DLD( pango_attr_size_new , args , , " PangoAttribute * pango_attr_size_new (int size); " )
{
int   size ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoAttribute * pango_attr_size_new (int size); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_size_new "<<std::endl;
#endif /* DEBUG */
size = (  int  ) args( 0 ).int_value();
long int ret_type= (long int) pango_attr_size_new ( size);
return octave_value(ret_type);
}
DEFUN_DLD( pango_attr_style_new , args , , " PangoAttribute * pango_attr_style_new (PangoStyle style); " )
{
PangoStyle   style ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoAttribute * pango_attr_style_new (PangoStyle style); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_style_new "<<std::endl;
#endif /* DEBUG */
style = (  PangoStyle  ) args( 0 ).long_value();
long int ret_type= (long int) pango_attr_style_new ( style);
return octave_value(ret_type);
}
DEFUN_DLD( pango_attr_weight_new , args , , " PangoAttribute * pango_attr_weight_new (PangoWeight weight); " )
{
PangoWeight   weight ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoAttribute * pango_attr_weight_new (PangoWeight weight); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_weight_new "<<std::endl;
#endif /* DEBUG */
weight = (  PangoWeight  ) args( 0 ).long_value();
long int ret_type= (long int) pango_attr_weight_new ( weight);
return octave_value(ret_type);
}
DEFUN_DLD( pango_attr_variant_new , args , , " PangoAttribute * pango_attr_variant_new (PangoVariant variant); " )
{
PangoVariant   variant ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoAttribute * pango_attr_variant_new (PangoVariant variant); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_variant_new "<<std::endl;
#endif /* DEBUG */
variant = (  PangoVariant  ) args( 0 ).long_value();
long int ret_type= (long int) pango_attr_variant_new ( variant);
return octave_value(ret_type);
}
DEFUN_DLD( pango_attr_stretch_new , args , , " PangoAttribute * pango_attr_stretch_new (PangoStretch stretch); " )
{
PangoStretch   stretch ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoAttribute * pango_attr_stretch_new (PangoStretch stretch); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_stretch_new "<<std::endl;
#endif /* DEBUG */
stretch = (  PangoStretch  ) args( 0 ).long_value();
long int ret_type= (long int) pango_attr_stretch_new ( stretch);
return octave_value(ret_type);
}
DEFUN_DLD( pango_attr_font_desc_new , args , , " PangoAttribute * pango_attr_font_desc_new (PangoFontDescription * desc); " )
{
PangoFontDescription *   desc ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoAttribute * pango_attr_font_desc_new (PangoFontDescription * desc); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_font_desc_new "<<std::endl;
#endif /* DEBUG */
desc =( PangoFontDescription * )args( 0 ).long_value();
long int ret_type= (long int) pango_attr_font_desc_new ( desc);
return octave_value(ret_type);
}
DEFUN_DLD( pango_attr_underline_new , args , , " PangoAttribute * pango_attr_underline_new (PangoUnderline underline); " )
{
PangoUnderline   underline ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoAttribute * pango_attr_underline_new (PangoUnderline underline); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_underline_new "<<std::endl;
#endif /* DEBUG */
underline = (  PangoUnderline  ) args( 0 ).long_value();
long int ret_type= (long int) pango_attr_underline_new ( underline);
return octave_value(ret_type);
}
DEFUN_DLD( pango_attr_strikethrough_new , args , , " PangoAttribute * pango_attr_strikethrough_new (gboolean strikethrough); " )
{
gboolean   strikethrough ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoAttribute * pango_attr_strikethrough_new (gboolean strikethrough); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_strikethrough_new "<<std::endl;
#endif /* DEBUG */
strikethrough = (  gboolean  ) args( 0 ).long_value();
long int ret_type= (long int) pango_attr_strikethrough_new ( strikethrough);
return octave_value(ret_type);
}
DEFUN_DLD( pango_attr_rise_new , args , , " PangoAttribute * pango_attr_rise_new (int rise); " )
{
int   rise ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoAttribute * pango_attr_rise_new (int rise); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_rise_new "<<std::endl;
#endif /* DEBUG */
rise = (  int  ) args( 0 ).int_value();
long int ret_type= (long int) pango_attr_rise_new ( rise);
return octave_value(ret_type);
}
DEFUN_DLD( pango_attr_shape_new , args , , " PangoAttribute * pango_attr_shape_new (PangoRectangle * ink_rect,PangoRectangle * logical_rect); " )
{
PangoRectangle *   ink_rect ;
PangoRectangle *   logical_rect ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  PangoAttribute * pango_attr_shape_new (PangoRectangle * ink_rect,PangoRectangle * logical_rect); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_shape_new "<<std::endl;
#endif /* DEBUG */
ink_rect =( PangoRectangle * )args( 0 ).long_value();
logical_rect =( PangoRectangle * )args( 1 ).long_value();
long int ret_type= (long int) pango_attr_shape_new ( ink_rect,logical_rect);
return octave_value(ret_type);
}
DEFUN_DLD( pango_attr_scale_new , args , , " PangoAttribute * pango_attr_scale_new (double scale_factor); " )
{
double   scale_factor ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoAttribute * pango_attr_scale_new (double scale_factor); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_scale_new "<<std::endl;
#endif /* DEBUG */
scale_factor = (  double  ) args( 0 ).double_value();
long int ret_type= (long int) pango_attr_scale_new ( scale_factor);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( pango_attr_list_get_type , args , , " GType pango_attr_list_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" pango_attr_list_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) pango_attr_list_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( pango_attr_list_new , args , , " PangoAttrList * pango_attr_list_new (void); " )
{
#ifdef DEBUG
std::cout<<" pango_attr_list_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) pango_attr_list_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( pango_attr_list_ref , args , , " void pango_attr_list_ref (PangoAttrList * list); " )
{
PangoAttrList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void pango_attr_list_ref (PangoAttrList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_list_ref "<<std::endl;
#endif /* DEBUG */
list =( PangoAttrList * )args( 0 ).long_value();
pango_attr_list_ref ( list);
return octave_value();
}
DEFUN_DLD( pango_attr_list_unref , args , , " void pango_attr_list_unref (PangoAttrList * list); " )
{
PangoAttrList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void pango_attr_list_unref (PangoAttrList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_list_unref "<<std::endl;
#endif /* DEBUG */
list =( PangoAttrList * )args( 0 ).long_value();
pango_attr_list_unref ( list);
return octave_value();
}
DEFUN_DLD( pango_attr_list_copy , args , , " PangoAttrList * pango_attr_list_copy (PangoAttrList * list); " )
{
PangoAttrList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoAttrList * pango_attr_list_copy (PangoAttrList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_list_copy "<<std::endl;
#endif /* DEBUG */
list =( PangoAttrList * )args( 0 ).long_value();
long int ret_type= (long int) pango_attr_list_copy ( list);
return octave_value(ret_type);
}
DEFUN_DLD( pango_attr_list_insert , args , , " void pango_attr_list_insert (PangoAttrList * list,PangoAttribute * attr); " )
{
PangoAttrList *   list ;
PangoAttribute *   attr ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void pango_attr_list_insert (PangoAttrList * list,PangoAttribute * attr); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_list_insert "<<std::endl;
#endif /* DEBUG */
list =( PangoAttrList * )args( 0 ).long_value();
attr =( PangoAttribute * )args( 1 ).long_value();
pango_attr_list_insert ( list,attr);
return octave_value();
}
DEFUN_DLD( pango_attr_list_insert_before , args , , " void pango_attr_list_insert_before (PangoAttrList * list,PangoAttribute * attr); " )
{
PangoAttrList *   list ;
PangoAttribute *   attr ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void pango_attr_list_insert_before (PangoAttrList * list,PangoAttribute * attr); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_list_insert_before "<<std::endl;
#endif /* DEBUG */
list =( PangoAttrList * )args( 0 ).long_value();
attr =( PangoAttribute * )args( 1 ).long_value();
pango_attr_list_insert_before ( list,attr);
return octave_value();
}
DEFUN_DLD( pango_attr_list_change , args , , " void pango_attr_list_change (PangoAttrList * list,PangoAttribute * attr); " )
{
PangoAttrList *   list ;
PangoAttribute *   attr ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void pango_attr_list_change (PangoAttrList * list,PangoAttribute * attr); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_list_change "<<std::endl;
#endif /* DEBUG */
list =( PangoAttrList * )args( 0 ).long_value();
attr =( PangoAttribute * )args( 1 ).long_value();
pango_attr_list_change ( list,attr);
return octave_value();
}
DEFUN_DLD( pango_attr_list_splice , args , , " void pango_attr_list_splice (PangoAttrList * list,PangoAttrList * other,gint pos,gint len); " )
{
PangoAttrList *   list ;
PangoAttrList *   other ;
gint   pos ;
gint   len ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void pango_attr_list_splice (PangoAttrList * list,PangoAttrList * other,gint pos,gint len); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_list_splice "<<std::endl;
#endif /* DEBUG */
list =( PangoAttrList * )args( 0 ).long_value();
other =( PangoAttrList * )args( 1 ).long_value();
pos = (  gint  ) args( 2 ).int_value();
len = (  gint  ) args( 3 ).int_value();
pango_attr_list_splice ( list,other,pos,len);
return octave_value();
}
DEFUN_DLD( pango_attr_list_filter , args , , " PangoAttrList * pango_attr_list_filter (PangoAttrList * list,PangoAttrFilterFunc func,gpointer data); " )
{
PangoAttrList *   list ;
PangoAttrFilterFunc   func ;
gpointer   data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  PangoAttrList * pango_attr_list_filter (PangoAttrList * list,PangoAttrFilterFunc func,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_list_filter "<<std::endl;
#endif /* DEBUG */
list =( PangoAttrList * )args( 0 ).long_value();
func = (  PangoAttrFilterFunc  ) args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
long int ret_type= (long int) pango_attr_list_filter ( list,func,data);
return octave_value(ret_type);
}
DEFUN_DLD( pango_attr_list_get_iterator , args , , " PangoAttrIterator * pango_attr_list_get_iterator (PangoAttrList * list); " )
{
PangoAttrList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoAttrIterator * pango_attr_list_get_iterator (PangoAttrList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_list_get_iterator "<<std::endl;
#endif /* DEBUG */
list =( PangoAttrList * )args( 0 ).long_value();
long int ret_type= (long int) pango_attr_list_get_iterator ( list);
return octave_value(ret_type);
}
DEFUN_DLD( pango_attr_iterator_range , args , , " void pango_attr_iterator_range (PangoAttrIterator * iterator,gint * start,gint * end); " )
{
PangoAttrIterator *   iterator ;
gint *   start ;
gint *   end ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void pango_attr_iterator_range (PangoAttrIterator * iterator,gint * start,gint * end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_iterator_range "<<std::endl;
#endif /* DEBUG */
iterator =( PangoAttrIterator * )args( 0 ).long_value();
start =( gint * )args( 1 ).long_value();
end =( gint * )args( 2 ).long_value();
pango_attr_iterator_range ( iterator,start,end);
return octave_value();
}
DEFUN_DLD( pango_attr_iterator_next , args , , " gboolean pango_attr_iterator_next (PangoAttrIterator * iterator); " )
{
PangoAttrIterator *   iterator ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean pango_attr_iterator_next (PangoAttrIterator * iterator); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_iterator_next "<<std::endl;
#endif /* DEBUG */
iterator =( PangoAttrIterator * )args( 0 ).long_value();
long int ret_type=(long int) pango_attr_iterator_next ( iterator);
return octave_value(ret_type);
}
DEFUN_DLD( pango_attr_iterator_copy , args , , " PangoAttrIterator * pango_attr_iterator_copy (PangoAttrIterator * iterator); " )
{
PangoAttrIterator *   iterator ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoAttrIterator * pango_attr_iterator_copy (PangoAttrIterator * iterator); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_iterator_copy "<<std::endl;
#endif /* DEBUG */
iterator =( PangoAttrIterator * )args( 0 ).long_value();
long int ret_type= (long int) pango_attr_iterator_copy ( iterator);
return octave_value(ret_type);
}
DEFUN_DLD( pango_attr_iterator_destroy , args , , " void pango_attr_iterator_destroy (PangoAttrIterator * iterator); " )
{
PangoAttrIterator *   iterator ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void pango_attr_iterator_destroy (PangoAttrIterator * iterator); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_iterator_destroy "<<std::endl;
#endif /* DEBUG */
iterator =( PangoAttrIterator * )args( 0 ).long_value();
pango_attr_iterator_destroy ( iterator);
return octave_value();
}
DEFUN_DLD( pango_attr_iterator_get , args , , " PangoAttribute * pango_attr_iterator_get (PangoAttrIterator * iterator,PangoAttrType type); " )
{
PangoAttrIterator *   iterator ;
PangoAttrType   type ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  PangoAttribute * pango_attr_iterator_get (PangoAttrIterator * iterator,PangoAttrType type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_iterator_get "<<std::endl;
#endif /* DEBUG */
iterator =( PangoAttrIterator * )args( 0 ).long_value();
type = (  PangoAttrType  ) args( 1 ).long_value();
long int ret_type= (long int) pango_attr_iterator_get ( iterator,type);
return octave_value(ret_type);
}
/* overriden: pango_attr_iterator_get_font  */
DEFUN_DLD( pango_attr_iterator_get_attrs , args , , " GSList * pango_attr_iterator_get_attrs (PangoAttrIterator * iterator); " )
{
PangoAttrIterator *   iterator ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GSList * pango_attr_iterator_get_attrs (PangoAttrIterator * iterator); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_attr_iterator_get_attrs "<<std::endl;
#endif /* DEBUG */
iterator =( PangoAttrIterator * )args( 0 ).long_value();
long int ret_type= (long int) pango_attr_iterator_get_attrs ( iterator);
return octave_value(ret_type);
}
/* overriden: pango_parse_markup  */
DEFUN_DLD( pango_break , args , , " void pango_break (gchar * text,int length,PangoAnalysis * analysis,PangoLogAttr * attrs,int attrs_len); " )
{
gchar *   text ;
int   length ;
PangoAnalysis *   analysis ;
PangoLogAttr *   attrs ;
int   attrs_len ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void pango_break (gchar * text,int length,PangoAnalysis * analysis,PangoLogAttr * attrs,int attrs_len); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_break "<<std::endl;
#endif /* DEBUG */
text = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) text ,args( 0 ).string_value().c_str());
length = (  int  ) args( 1 ).int_value();
analysis =( PangoAnalysis * )args( 2 ).long_value();
attrs =( PangoLogAttr * )args( 3 ).long_value();
attrs_len = (  int  ) args( 4 ).int_value();
pango_break ( text,length,analysis,attrs,attrs_len);
return octave_value();
}
DEFUN_DLD( pango_find_paragraph_boundary , args , , " void pango_find_paragraph_boundary (gchar * text,gint length,gint * paragraph_delimiter_index,gint * next_paragraph_start); " )
{
gchar *   text ;
gint   length ;
gint *   paragraph_delimiter_index ;
gint *   next_paragraph_start ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void pango_find_paragraph_boundary (gchar * text,gint length,gint * paragraph_delimiter_index,gint * next_paragraph_start); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_find_paragraph_boundary "<<std::endl;
#endif /* DEBUG */
text = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) text ,args( 0 ).string_value().c_str());
length = (  gint  ) args( 1 ).int_value();
paragraph_delimiter_index =( gint * )args( 2 ).long_value();
next_paragraph_start =( gint * )args( 3 ).long_value();
pango_find_paragraph_boundary ( text,length,paragraph_delimiter_index,next_paragraph_start);
return octave_value();
}
DEFUN_DLD( pango_get_log_attrs , args , , " void pango_get_log_attrs (char * text,int length,int level,PangoLanguage * language,PangoLogAttr * log_attrs,int attrs_len); " )
{
char *   text ;
int   length ;
int   level ;
PangoLanguage *   language ;
PangoLogAttr *   log_attrs ;
int   attrs_len ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void pango_get_log_attrs (char * text,int length,int level,PangoLanguage * language,PangoLogAttr * log_attrs,int attrs_len); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_get_log_attrs "<<std::endl;
#endif /* DEBUG */
text = new  char   [args( 0 ).string_value ().length()];
strcpy( (char *) text ,args( 0 ).string_value().c_str());
length = (  int  ) args( 1 ).int_value();
level = (  int  ) args( 2 ).int_value();
language =( PangoLanguage * )args( 3 ).long_value();
log_attrs =( PangoLogAttr * )args( 4 ).long_value();
attrs_len = (  int  ) args( 5 ).int_value();
pango_get_log_attrs ( text,length,level,language,log_attrs,attrs_len);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( pango_context_get_type , args , , " GType pango_context_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" pango_context_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) pango_context_get_type ( );
return octave_value(ret_type);
}
/* overriden: pango_context_list_families  */
DEFUN_DLD( pango_context_load_font , args , , " PangoFont * pango_context_load_font (PangoContext * context,PangoFontDescription * desc); " )
{
PangoContext *   context ;
PangoFontDescription *   desc ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  PangoFont * pango_context_load_font (PangoContext * context,PangoFontDescription * desc); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_context_load_font "<<std::endl;
#endif /* DEBUG */
context =( PangoContext * )args( 0 ).long_value();
desc =( PangoFontDescription * )args( 1 ).long_value();
long int ret_type= (long int) pango_context_load_font ( context,desc);
return octave_value(ret_type);
}
DEFUN_DLD( pango_context_load_fontset , args , , " PangoFontset * pango_context_load_fontset (PangoContext * context,PangoFontDescription * desc,PangoLanguage * language); " )
{
PangoContext *   context ;
PangoFontDescription *   desc ;
PangoLanguage *   language ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  PangoFontset * pango_context_load_fontset (PangoContext * context,PangoFontDescription * desc,PangoLanguage * language); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_context_load_fontset "<<std::endl;
#endif /* DEBUG */
context =( PangoContext * )args( 0 ).long_value();
desc =( PangoFontDescription * )args( 1 ).long_value();
language =( PangoLanguage * )args( 2 ).long_value();
long int ret_type= (long int) pango_context_load_fontset ( context,desc,language);
return octave_value(ret_type);
}
DEFUN_DLD( pango_context_get_metrics , args , , " PangoFontMetrics * pango_context_get_metrics (PangoContext * context,PangoFontDescription * desc,PangoLanguage * language); " )
{
PangoContext *   context ;
PangoFontDescription *   desc ;
PangoLanguage *   language ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  PangoFontMetrics * pango_context_get_metrics (PangoContext * context,PangoFontDescription * desc,PangoLanguage * language); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_context_get_metrics "<<std::endl;
#endif /* DEBUG */
context =( PangoContext * )args( 0 ).long_value();
desc =( PangoFontDescription * )args( 1 ).long_value();
language =( PangoLanguage * )args( 2 ).long_value();
long int ret_type= (long int) pango_context_get_metrics ( context,desc,language);
return octave_value(ret_type);
}
DEFUN_DLD( pango_context_set_font_description , args , , " void pango_context_set_font_description (PangoContext * context,PangoFontDescription * desc); " )
{
PangoContext *   context ;
PangoFontDescription *   desc ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void pango_context_set_font_description (PangoContext * context,PangoFontDescription * desc); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_context_set_font_description "<<std::endl;
#endif /* DEBUG */
context =( PangoContext * )args( 0 ).long_value();
desc =( PangoFontDescription * )args( 1 ).long_value();
pango_context_set_font_description ( context,desc);
return octave_value();
}
DEFUN_DLD( pango_context_get_font_description , args , , " PangoFontDescription * pango_context_get_font_description (PangoContext * context); " )
{
PangoContext *   context ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoFontDescription * pango_context_get_font_description (PangoContext * context); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_context_get_font_description "<<std::endl;
#endif /* DEBUG */
context =( PangoContext * )args( 0 ).long_value();
long int ret_type= (long int) pango_context_get_font_description ( context);
return octave_value(ret_type);
}
DEFUN_DLD( pango_context_get_language , args , , " PangoLanguage * pango_context_get_language (PangoContext * context); " )
{
PangoContext *   context ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoLanguage * pango_context_get_language (PangoContext * context); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_context_get_language "<<std::endl;
#endif /* DEBUG */
context =( PangoContext * )args( 0 ).long_value();
long int ret_type= (long int) pango_context_get_language ( context);
return octave_value(ret_type);
}
DEFUN_DLD( pango_context_set_language , args , , " void pango_context_set_language (PangoContext * context,PangoLanguage * language); " )
{
PangoContext *   context ;
PangoLanguage *   language ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void pango_context_set_language (PangoContext * context,PangoLanguage * language); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_context_set_language "<<std::endl;
#endif /* DEBUG */
context =( PangoContext * )args( 0 ).long_value();
language =( PangoLanguage * )args( 1 ).long_value();
pango_context_set_language ( context,language);
return octave_value();
}
DEFUN_DLD( pango_context_set_base_dir , args , , " void pango_context_set_base_dir (PangoContext * context,PangoDirection direction); " )
{
PangoContext *   context ;
PangoDirection   direction ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void pango_context_set_base_dir (PangoContext * context,PangoDirection direction); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_context_set_base_dir "<<std::endl;
#endif /* DEBUG */
context =( PangoContext * )args( 0 ).long_value();
direction = (  PangoDirection  ) args( 1 ).long_value();
pango_context_set_base_dir ( context,direction);
return octave_value();
}
DEFUN_DLD( pango_context_get_base_dir , args , , " PangoDirection pango_context_get_base_dir (PangoContext * context); " )
{
PangoContext *   context ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoDirection pango_context_get_base_dir (PangoContext * context); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_context_get_base_dir "<<std::endl;
#endif /* DEBUG */
context =( PangoContext * )args( 0 ).long_value();
long int ret_type=(long int) pango_context_get_base_dir ( context);
return octave_value(ret_type);
}
DEFUN_DLD( pango_itemize , args , , " GList * pango_itemize (PangoContext * context,char * text,int start_index,int length,PangoAttrList * attrs,PangoAttrIterator * cached_iter); " )
{
PangoContext *   context ;
char *   text ;
int   start_index ;
int   length ;
PangoAttrList *   attrs ;
PangoAttrIterator *   cached_iter ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  GList * pango_itemize (PangoContext * context,char * text,int start_index,int length,PangoAttrList * attrs,PangoAttrIterator * cached_iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_itemize "<<std::endl;
#endif /* DEBUG */
context =( PangoContext * )args( 0 ).long_value();
text = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
start_index = (  int  ) args( 2 ).int_value();
length = (  int  ) args( 3 ).int_value();
attrs =( PangoAttrList * )args( 4 ).long_value();
cached_iter =( PangoAttrIterator * )args( 5 ).long_value();
long int ret_type= (long int) pango_itemize ( context,text,start_index,length,attrs,cached_iter);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( pango_attr_type_get_type , args , , " GType pango_attr_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" pango_attr_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) pango_attr_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( pango_underline_get_type , args , , " GType pango_underline_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" pango_underline_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) pango_underline_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( pango_coverage_level_get_type , args , , " GType pango_coverage_level_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" pango_coverage_level_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) pango_coverage_level_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( pango_style_get_type , args , , " GType pango_style_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" pango_style_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) pango_style_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( pango_variant_get_type , args , , " GType pango_variant_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" pango_variant_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) pango_variant_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( pango_weight_get_type , args , , " GType pango_weight_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" pango_weight_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) pango_weight_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( pango_stretch_get_type , args , , " GType pango_stretch_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" pango_stretch_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) pango_stretch_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( pango_font_mask_get_type , args , , " GType pango_font_mask_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" pango_font_mask_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) pango_font_mask_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( pango_alignment_get_type , args , , " GType pango_alignment_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" pango_alignment_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) pango_alignment_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( pango_wrap_mode_get_type , args , , " GType pango_wrap_mode_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" pango_wrap_mode_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) pango_wrap_mode_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( pango_tab_align_get_type , args , , " GType pango_tab_align_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" pango_tab_align_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) pango_tab_align_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( pango_direction_get_type , args , , " GType pango_direction_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" pango_direction_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) pango_direction_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( pango_font_map_get_type , args , , " GType pango_font_map_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" pango_font_map_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) pango_font_map_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( pango_font_map_load_font , args , , " PangoFont * pango_font_map_load_font (PangoFontMap * fontmap,PangoContext * context,PangoFontDescription * desc); " )
{
PangoFontMap *   fontmap ;
PangoContext *   context ;
PangoFontDescription *   desc ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  PangoFont * pango_font_map_load_font (PangoFontMap * fontmap,PangoContext * context,PangoFontDescription * desc); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_font_map_load_font "<<std::endl;
#endif /* DEBUG */
fontmap =( PangoFontMap * )args( 0 ).long_value();
context =( PangoContext * )args( 1 ).long_value();
desc =( PangoFontDescription * )args( 2 ).long_value();
long int ret_type= (long int) pango_font_map_load_font ( fontmap,context,desc);
return octave_value(ret_type);
}
DEFUN_DLD( pango_font_map_load_fontset , args , , " PangoFontset * pango_font_map_load_fontset (PangoFontMap * fontmap,PangoContext * context,PangoFontDescription * desc,PangoLanguage * language); " )
{
PangoFontMap *   fontmap ;
PangoContext *   context ;
PangoFontDescription *   desc ;
PangoLanguage *   language ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  PangoFontset * pango_font_map_load_fontset (PangoFontMap * fontmap,PangoContext * context,PangoFontDescription * desc,PangoLanguage * language); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_font_map_load_fontset "<<std::endl;
#endif /* DEBUG */
fontmap =( PangoFontMap * )args( 0 ).long_value();
context =( PangoContext * )args( 1 ).long_value();
desc =( PangoFontDescription * )args( 2 ).long_value();
language =( PangoLanguage * )args( 3 ).long_value();
long int ret_type= (long int) pango_font_map_load_fontset ( fontmap,context,desc,language);
return octave_value(ret_type);
}
/* overriden: pango_font_map_list_families  */
/* void: zero arguments taken */
DEFUN_DLD( pango_fontset_get_type , args , , " GType pango_fontset_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" pango_fontset_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) pango_fontset_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( pango_fontset_get_font , args , , " PangoFont * pango_fontset_get_font (PangoFontset * fontset,guint wc); " )
{
PangoFontset *   fontset ;
guint   wc ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  PangoFont * pango_fontset_get_font (PangoFontset * fontset,guint wc); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_fontset_get_font "<<std::endl;
#endif /* DEBUG */
fontset =( PangoFontset * )args( 0 ).long_value();
wc = (  guint  ) args( 1 ).int_value();
long int ret_type= (long int) pango_fontset_get_font ( fontset,wc);
return octave_value(ret_type);
}
DEFUN_DLD( pango_fontset_get_metrics , args , , " PangoFontMetrics * pango_fontset_get_metrics (PangoFontset * fontset); " )
{
PangoFontset *   fontset ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoFontMetrics * pango_fontset_get_metrics (PangoFontset * fontset); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_fontset_get_metrics "<<std::endl;
#endif /* DEBUG */
fontset =( PangoFontset * )args( 0 ).long_value();
long int ret_type= (long int) pango_fontset_get_metrics ( fontset);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( pango_glyph_string_new , args , , " PangoGlyphString * pango_glyph_string_new (void); " )
{
#ifdef DEBUG
std::cout<<" pango_glyph_string_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) pango_glyph_string_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( pango_glyph_string_set_size , args , , " void pango_glyph_string_set_size (PangoGlyphString * string,gint new_len); " )
{
PangoGlyphString *   string ;
gint   new_len ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void pango_glyph_string_set_size (PangoGlyphString * string,gint new_len); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_glyph_string_set_size "<<std::endl;
#endif /* DEBUG */
string =( PangoGlyphString * )args( 0 ).long_value();
new_len = (  gint  ) args( 1 ).int_value();
pango_glyph_string_set_size ( string,new_len);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( pango_glyph_string_get_type , args , , " GType pango_glyph_string_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" pango_glyph_string_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) pango_glyph_string_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( pango_glyph_string_copy , args , , " PangoGlyphString * pango_glyph_string_copy (PangoGlyphString * string); " )
{
PangoGlyphString *   string ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoGlyphString * pango_glyph_string_copy (PangoGlyphString * string); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_glyph_string_copy "<<std::endl;
#endif /* DEBUG */
string =( PangoGlyphString * )args( 0 ).long_value();
long int ret_type= (long int) pango_glyph_string_copy ( string);
return octave_value(ret_type);
}
DEFUN_DLD( pango_glyph_string_free , args , , " void pango_glyph_string_free (PangoGlyphString * string); " )
{
PangoGlyphString *   string ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void pango_glyph_string_free (PangoGlyphString * string); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_glyph_string_free "<<std::endl;
#endif /* DEBUG */
string =( PangoGlyphString * )args( 0 ).long_value();
pango_glyph_string_free ( string);
return octave_value();
}
DEFUN_DLD( pango_glyph_string_extents , args , , " void pango_glyph_string_extents (PangoGlyphString * glyphs,PangoFont * font,PangoRectangle * ink_rect,PangoRectangle * logical_rect); " )
{
PangoGlyphString *   glyphs ;
PangoFont *   font ;
PangoRectangle *   ink_rect ;
PangoRectangle *   logical_rect ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void pango_glyph_string_extents (PangoGlyphString * glyphs,PangoFont * font,PangoRectangle * ink_rect,PangoRectangle * logical_rect); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_glyph_string_extents "<<std::endl;
#endif /* DEBUG */
glyphs =( PangoGlyphString * )args( 0 ).long_value();
font =( PangoFont * )args( 1 ).long_value();
ink_rect =( PangoRectangle * )args( 2 ).long_value();
logical_rect =( PangoRectangle * )args( 3 ).long_value();
pango_glyph_string_extents ( glyphs,font,ink_rect,logical_rect);
return octave_value();
}
DEFUN_DLD( pango_glyph_string_extents_range , args , , " void pango_glyph_string_extents_range (PangoGlyphString * glyphs,int start,int end,PangoFont * font,PangoRectangle * ink_rect,PangoRectangle * logical_rect); " )
{
PangoGlyphString *   glyphs ;
int   start ;
int   end ;
PangoFont *   font ;
PangoRectangle *   ink_rect ;
PangoRectangle *   logical_rect ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void pango_glyph_string_extents_range (PangoGlyphString * glyphs,int start,int end,PangoFont * font,PangoRectangle * ink_rect,PangoRectangle * logical_rect); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_glyph_string_extents_range "<<std::endl;
#endif /* DEBUG */
glyphs =( PangoGlyphString * )args( 0 ).long_value();
start = (  int  ) args( 1 ).int_value();
end = (  int  ) args( 2 ).int_value();
font =( PangoFont * )args( 3 ).long_value();
ink_rect =( PangoRectangle * )args( 4 ).long_value();
logical_rect =( PangoRectangle * )args( 5 ).long_value();
pango_glyph_string_extents_range ( glyphs,start,end,font,ink_rect,logical_rect);
return octave_value();
}
DEFUN_DLD( pango_glyph_string_get_logical_widths , args , , " void pango_glyph_string_get_logical_widths (PangoGlyphString * glyphs,char * text,int length,int embedding_level,int * logical_widths); " )
{
PangoGlyphString *   glyphs ;
char *   text ;
int   length ;
int   embedding_level ;
int *   logical_widths ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void pango_glyph_string_get_logical_widths (PangoGlyphString * glyphs,char * text,int length,int embedding_level,int * logical_widths); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_glyph_string_get_logical_widths "<<std::endl;
#endif /* DEBUG */
glyphs =( PangoGlyphString * )args( 0 ).long_value();
text = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
length = (  int  ) args( 2 ).int_value();
embedding_level = (  int  ) args( 3 ).int_value();
logical_widths =( int * )args( 4 ).long_value();
pango_glyph_string_get_logical_widths ( glyphs,text,length,embedding_level,logical_widths);
return octave_value();
}
DEFUN_DLD( pango_glyph_string_index_to_x , args , , " void pango_glyph_string_index_to_x (PangoGlyphString * glyphs,char * text,int length,PangoAnalysis * analysis,int index_,gboolean trailing,int * x_pos); " )
{
PangoGlyphString *   glyphs ;
char *   text ;
int   length ;
PangoAnalysis *   analysis ;
int   index_ ;
gboolean   trailing ;
int *   x_pos ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  void pango_glyph_string_index_to_x (PangoGlyphString * glyphs,char * text,int length,PangoAnalysis * analysis,int index_,gboolean trailing,int * x_pos); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_glyph_string_index_to_x "<<std::endl;
#endif /* DEBUG */
glyphs =( PangoGlyphString * )args( 0 ).long_value();
text = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
length = (  int  ) args( 2 ).int_value();
analysis =( PangoAnalysis * )args( 3 ).long_value();
index_ = (  int  ) args( 4 ).int_value();
trailing = (  gboolean  ) args( 5 ).long_value();
x_pos =( int * )args( 6 ).long_value();
pango_glyph_string_index_to_x ( glyphs,text,length,analysis,index_,trailing,x_pos);
return octave_value();
}
DEFUN_DLD( pango_glyph_string_x_to_index , args , , " void pango_glyph_string_x_to_index (PangoGlyphString * glyphs,char * text,int length,PangoAnalysis * analysis,int x_pos,int * index_,int * trailing); " )
{
PangoGlyphString *   glyphs ;
char *   text ;
int   length ;
PangoAnalysis *   analysis ;
int   x_pos ;
int *   index_ ;
int *   trailing ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  void pango_glyph_string_x_to_index (PangoGlyphString * glyphs,char * text,int length,PangoAnalysis * analysis,int x_pos,int * index_,int * trailing); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_glyph_string_x_to_index "<<std::endl;
#endif /* DEBUG */
glyphs =( PangoGlyphString * )args( 0 ).long_value();
text = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
length = (  int  ) args( 2 ).int_value();
analysis =( PangoAnalysis * )args( 3 ).long_value();
x_pos = (  int  ) args( 4 ).int_value();
index_ =( int * )args( 5 ).long_value();
trailing =( int * )args( 6 ).long_value();
pango_glyph_string_x_to_index ( glyphs,text,length,analysis,x_pos,index_,trailing);
return octave_value();
}
DEFUN_DLD( pango_shape , args , , " void pango_shape (gchar * text,gint length,PangoAnalysis * analysis,PangoGlyphString * glyphs); " )
{
gchar *   text ;
gint   length ;
PangoAnalysis *   analysis ;
PangoGlyphString *   glyphs ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void pango_shape (gchar * text,gint length,PangoAnalysis * analysis,PangoGlyphString * glyphs); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_shape "<<std::endl;
#endif /* DEBUG */
text = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) text ,args( 0 ).string_value().c_str());
length = (  gint  ) args( 1 ).int_value();
analysis =( PangoAnalysis * )args( 2 ).long_value();
glyphs =( PangoGlyphString * )args( 3 ).long_value();
pango_shape ( text,length,analysis,glyphs);
return octave_value();
}
DEFUN_DLD( pango_reorder_items , args , , " GList * pango_reorder_items (GList * logical_items); " )
{
GList *   logical_items ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GList * pango_reorder_items (GList * logical_items); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_reorder_items "<<std::endl;
#endif /* DEBUG */
logical_items =( GList * )args( 0 ).long_value();
long int ret_type= (long int) pango_reorder_items ( logical_items);
return octave_value(ret_type);
}
DEFUN_DLD( pango_glyph_item_split , args , , " PangoGlyphItem * pango_glyph_item_split (PangoGlyphItem * orig,char * text,int split_index); " )
{
PangoGlyphItem *   orig ;
char *   text ;
int   split_index ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  PangoGlyphItem * pango_glyph_item_split (PangoGlyphItem * orig,char * text,int split_index); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_glyph_item_split "<<std::endl;
#endif /* DEBUG */
orig =( PangoGlyphItem * )args( 0 ).long_value();
text = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
split_index = (  int  ) args( 2 ).int_value();
long int ret_type= (long int) pango_glyph_item_split ( orig,text,split_index);
return octave_value(ret_type);
}
DEFUN_DLD( pango_glyph_item_apply_attrs , args , , " GSList * pango_glyph_item_apply_attrs (PangoGlyphItem * glyph_item,char * text,PangoAttrList * list); " )
{
PangoGlyphItem *   glyph_item ;
char *   text ;
PangoAttrList *   list ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GSList * pango_glyph_item_apply_attrs (PangoGlyphItem * glyph_item,char * text,PangoAttrList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_glyph_item_apply_attrs "<<std::endl;
#endif /* DEBUG */
glyph_item =( PangoGlyphItem * )args( 0 ).long_value();
text = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
list =( PangoAttrList * )args( 2 ).long_value();
long int ret_type= (long int) pango_glyph_item_apply_attrs ( glyph_item,text,list);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( pango_item_new , args , , " PangoItem * pango_item_new (void); " )
{
#ifdef DEBUG
std::cout<<" pango_item_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) pango_item_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( pango_item_copy , args , , " PangoItem * pango_item_copy (PangoItem * item); " )
{
PangoItem *   item ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoItem * pango_item_copy (PangoItem * item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_item_copy "<<std::endl;
#endif /* DEBUG */
item =( PangoItem * )args( 0 ).long_value();
long int ret_type= (long int) pango_item_copy ( item);
return octave_value(ret_type);
}
DEFUN_DLD( pango_item_free , args , , " void pango_item_free (PangoItem * item); " )
{
PangoItem *   item ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void pango_item_free (PangoItem * item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_item_free "<<std::endl;
#endif /* DEBUG */
item =( PangoItem * )args( 0 ).long_value();
pango_item_free ( item);
return octave_value();
}
DEFUN_DLD( pango_item_split , args , , " PangoItem * pango_item_split (PangoItem * orig,int split_index,int split_offset); " )
{
PangoItem *   orig ;
int   split_index ;
int   split_offset ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  PangoItem * pango_item_split (PangoItem * orig,int split_index,int split_offset); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_item_split "<<std::endl;
#endif /* DEBUG */
orig =( PangoItem * )args( 0 ).long_value();
split_index = (  int  ) args( 1 ).int_value();
split_offset = (  int  ) args( 2 ).int_value();
long int ret_type= (long int) pango_item_split ( orig,split_index,split_offset);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( pango_layout_get_type , args , , " GType pango_layout_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" pango_layout_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) pango_layout_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_new , args , , " PangoLayout * pango_layout_new (PangoContext * context); " )
{
PangoContext *   context ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoLayout * pango_layout_new (PangoContext * context); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_new "<<std::endl;
#endif /* DEBUG */
context =( PangoContext * )args( 0 ).long_value();
long int ret_type= (long int) pango_layout_new ( context);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_copy , args , , " PangoLayout * pango_layout_copy (PangoLayout * src); " )
{
PangoLayout *   src ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoLayout * pango_layout_copy (PangoLayout * src); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_copy "<<std::endl;
#endif /* DEBUG */
src =( PangoLayout * )args( 0 ).long_value();
long int ret_type= (long int) pango_layout_copy ( src);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_get_context , args , , " PangoContext * pango_layout_get_context (PangoLayout * layout); " )
{
PangoLayout *   layout ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoContext * pango_layout_get_context (PangoLayout * layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_get_context "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
long int ret_type= (long int) pango_layout_get_context ( layout);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_set_attributes , args , , " void pango_layout_set_attributes (PangoLayout * layout,PangoAttrList * attrs); " )
{
PangoLayout *   layout ;
PangoAttrList *   attrs ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void pango_layout_set_attributes (PangoLayout * layout,PangoAttrList * attrs); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_set_attributes "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
attrs =( PangoAttrList * )args( 1 ).long_value();
pango_layout_set_attributes ( layout,attrs);
return octave_value();
}
DEFUN_DLD( pango_layout_get_attributes , args , , " PangoAttrList * pango_layout_get_attributes (PangoLayout * layout); " )
{
PangoLayout *   layout ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoAttrList * pango_layout_get_attributes (PangoLayout * layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_get_attributes "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
long int ret_type= (long int) pango_layout_get_attributes ( layout);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_set_text , args , , " void pango_layout_set_text (PangoLayout * layout,char * text,int length); " )
{
PangoLayout *   layout ;
char *   text ;
int   length ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void pango_layout_set_text (PangoLayout * layout,char * text,int length); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_set_text "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
text = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
length = (  int  ) args( 2 ).int_value();
pango_layout_set_text ( layout,text,length);
return octave_value();
}
DEFUN_DLD( pango_layout_get_text , args , , " char * pango_layout_get_text (PangoLayout * layout); " )
{
PangoLayout *   layout ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  char * pango_layout_get_text (PangoLayout * layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_get_text "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
string  ret_type( pango_layout_get_text ( layout));
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_set_markup , args , , " void pango_layout_set_markup (PangoLayout * layout,char * markup,int length); " )
{
PangoLayout *   layout ;
char *   markup ;
int   length ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void pango_layout_set_markup (PangoLayout * layout,char * markup,int length); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_set_markup "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
markup = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) markup ,args( 1 ).string_value().c_str());
length = (  int  ) args( 2 ).int_value();
pango_layout_set_markup ( layout,markup,length);
return octave_value();
}
DEFUN_DLD( pango_layout_set_markup_with_accel , args , , " void pango_layout_set_markup_with_accel (PangoLayout * layout,char * markup,int length,gunichar accel_marker,gunichar * accel_char); " )
{
PangoLayout *   layout ;
char *   markup ;
int   length ;
gunichar   accel_marker ;
gunichar *   accel_char ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void pango_layout_set_markup_with_accel (PangoLayout * layout,char * markup,int length,gunichar accel_marker,gunichar * accel_char); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_set_markup_with_accel "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
markup = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) markup ,args( 1 ).string_value().c_str());
length = (  int  ) args( 2 ).int_value();
accel_marker = (  gunichar  ) args( 3 ).long_value();
accel_char = new  gunichar   [args( 4 ).string_value ().length()];
strcpy( (char *) accel_char ,args( 4 ).string_value().c_str());
pango_layout_set_markup_with_accel ( layout,markup,length,accel_marker,accel_char);
return octave_value();
}
DEFUN_DLD( pango_layout_set_font_description , args , , " void pango_layout_set_font_description (PangoLayout * layout,PangoFontDescription * desc); " )
{
PangoLayout *   layout ;
PangoFontDescription *   desc ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void pango_layout_set_font_description (PangoLayout * layout,PangoFontDescription * desc); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_set_font_description "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
desc =( PangoFontDescription * )args( 1 ).long_value();
pango_layout_set_font_description ( layout,desc);
return octave_value();
}
DEFUN_DLD( pango_layout_set_width , args , , " void pango_layout_set_width (PangoLayout * layout,int width); " )
{
PangoLayout *   layout ;
int   width ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void pango_layout_set_width (PangoLayout * layout,int width); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_set_width "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
width = (  int  ) args( 1 ).int_value();
pango_layout_set_width ( layout,width);
return octave_value();
}
DEFUN_DLD( pango_layout_get_width , args , , " int pango_layout_get_width (PangoLayout * layout); " )
{
PangoLayout *   layout ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  int pango_layout_get_width (PangoLayout * layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_get_width "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
long int ret_type=(long int) pango_layout_get_width ( layout);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_set_wrap , args , , " void pango_layout_set_wrap (PangoLayout * layout,PangoWrapMode wrap); " )
{
PangoLayout *   layout ;
PangoWrapMode   wrap ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void pango_layout_set_wrap (PangoLayout * layout,PangoWrapMode wrap); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_set_wrap "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
wrap = (  PangoWrapMode  ) args( 1 ).long_value();
pango_layout_set_wrap ( layout,wrap);
return octave_value();
}
DEFUN_DLD( pango_layout_get_wrap , args , , " PangoWrapMode pango_layout_get_wrap (PangoLayout * layout); " )
{
PangoLayout *   layout ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoWrapMode pango_layout_get_wrap (PangoLayout * layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_get_wrap "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
long int ret_type=(long int) pango_layout_get_wrap ( layout);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_set_indent , args , , " void pango_layout_set_indent (PangoLayout * layout,int indent); " )
{
PangoLayout *   layout ;
int   indent ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void pango_layout_set_indent (PangoLayout * layout,int indent); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_set_indent "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
indent = (  int  ) args( 1 ).int_value();
pango_layout_set_indent ( layout,indent);
return octave_value();
}
DEFUN_DLD( pango_layout_get_indent , args , , " int pango_layout_get_indent (PangoLayout * layout); " )
{
PangoLayout *   layout ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  int pango_layout_get_indent (PangoLayout * layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_get_indent "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
long int ret_type=(long int) pango_layout_get_indent ( layout);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_set_spacing , args , , " void pango_layout_set_spacing (PangoLayout * layout,int spacing); " )
{
PangoLayout *   layout ;
int   spacing ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void pango_layout_set_spacing (PangoLayout * layout,int spacing); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_set_spacing "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
spacing = (  int  ) args( 1 ).int_value();
pango_layout_set_spacing ( layout,spacing);
return octave_value();
}
DEFUN_DLD( pango_layout_get_spacing , args , , " int pango_layout_get_spacing (PangoLayout * layout); " )
{
PangoLayout *   layout ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  int pango_layout_get_spacing (PangoLayout * layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_get_spacing "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
long int ret_type=(long int) pango_layout_get_spacing ( layout);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_set_justify , args , , " void pango_layout_set_justify (PangoLayout * layout,gboolean justify); " )
{
PangoLayout *   layout ;
gboolean   justify ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void pango_layout_set_justify (PangoLayout * layout,gboolean justify); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_set_justify "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
justify = (  gboolean  ) args( 1 ).long_value();
pango_layout_set_justify ( layout,justify);
return octave_value();
}
DEFUN_DLD( pango_layout_get_justify , args , , " gboolean pango_layout_get_justify (PangoLayout * layout); " )
{
PangoLayout *   layout ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean pango_layout_get_justify (PangoLayout * layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_get_justify "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
long int ret_type=(long int) pango_layout_get_justify ( layout);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_set_alignment , args , , " void pango_layout_set_alignment (PangoLayout * layout,PangoAlignment alignment); " )
{
PangoLayout *   layout ;
PangoAlignment   alignment ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void pango_layout_set_alignment (PangoLayout * layout,PangoAlignment alignment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_set_alignment "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
alignment = (  PangoAlignment  ) args( 1 ).long_value();
pango_layout_set_alignment ( layout,alignment);
return octave_value();
}
DEFUN_DLD( pango_layout_get_alignment , args , , " PangoAlignment pango_layout_get_alignment (PangoLayout * layout); " )
{
PangoLayout *   layout ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoAlignment pango_layout_get_alignment (PangoLayout * layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_get_alignment "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
long int ret_type=(long int) pango_layout_get_alignment ( layout);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_set_tabs , args , , " void pango_layout_set_tabs (PangoLayout * layout,PangoTabArray * tabs); " )
{
PangoLayout *   layout ;
PangoTabArray *   tabs ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void pango_layout_set_tabs (PangoLayout * layout,PangoTabArray * tabs); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_set_tabs "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
tabs =( PangoTabArray * )args( 1 ).long_value();
pango_layout_set_tabs ( layout,tabs);
return octave_value();
}
DEFUN_DLD( pango_layout_get_tabs , args , , " PangoTabArray* pango_layout_get_tabs (PangoLayout * layout); " )
{
PangoLayout *   layout ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoTabArray* pango_layout_get_tabs (PangoLayout * layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_get_tabs "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
long int ret_type= (long int) pango_layout_get_tabs ( layout);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_set_single_paragraph_mode , args , , " void pango_layout_set_single_paragraph_mode (PangoLayout * layout,gboolean setting); " )
{
PangoLayout *   layout ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void pango_layout_set_single_paragraph_mode (PangoLayout * layout,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_set_single_paragraph_mode "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
pango_layout_set_single_paragraph_mode ( layout,setting);
return octave_value();
}
DEFUN_DLD( pango_layout_get_single_paragraph_mode , args , , " gboolean pango_layout_get_single_paragraph_mode (PangoLayout * layout); " )
{
PangoLayout *   layout ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean pango_layout_get_single_paragraph_mode (PangoLayout * layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_get_single_paragraph_mode "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
long int ret_type=(long int) pango_layout_get_single_paragraph_mode ( layout);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_context_changed , args , , " void pango_layout_context_changed (PangoLayout * layout); " )
{
PangoLayout *   layout ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void pango_layout_context_changed (PangoLayout * layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_context_changed "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
pango_layout_context_changed ( layout);
return octave_value();
}
/* overriden: pango_layout_get_log_attrs  */
DEFUN_DLD( pango_layout_index_to_pos , args , , " void pango_layout_index_to_pos (PangoLayout * layout,int index_,PangoRectangle * pos); " )
{
PangoLayout *   layout ;
int   index_ ;
PangoRectangle *   pos ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void pango_layout_index_to_pos (PangoLayout * layout,int index_,PangoRectangle * pos); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_index_to_pos "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
index_ = (  int  ) args( 1 ).int_value();
pos =( PangoRectangle * )args( 2 ).long_value();
pango_layout_index_to_pos ( layout,index_,pos);
return octave_value();
}
DEFUN_DLD( pango_layout_get_cursor_pos , args , , " void pango_layout_get_cursor_pos (PangoLayout * layout,int index_,PangoRectangle * strong_pos,PangoRectangle * weak_pos); " )
{
PangoLayout *   layout ;
int   index_ ;
PangoRectangle *   strong_pos ;
PangoRectangle *   weak_pos ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void pango_layout_get_cursor_pos (PangoLayout * layout,int index_,PangoRectangle * strong_pos,PangoRectangle * weak_pos); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_get_cursor_pos "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
index_ = (  int  ) args( 1 ).int_value();
strong_pos =( PangoRectangle * )args( 2 ).long_value();
weak_pos =( PangoRectangle * )args( 3 ).long_value();
pango_layout_get_cursor_pos ( layout,index_,strong_pos,weak_pos);
return octave_value();
}
DEFUN_DLD( pango_layout_move_cursor_visually , args , , " void pango_layout_move_cursor_visually (PangoLayout * layout,gboolean strong,int old_index,int old_trailing,int direction,int * new_index,int * new_trailing); " )
{
PangoLayout *   layout ;
gboolean   strong ;
int   old_index ;
int   old_trailing ;
int   direction ;
int *   new_index ;
int *   new_trailing ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  void pango_layout_move_cursor_visually (PangoLayout * layout,gboolean strong,int old_index,int old_trailing,int direction,int * new_index,int * new_trailing); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_move_cursor_visually "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
strong = (  gboolean  ) args( 1 ).long_value();
old_index = (  int  ) args( 2 ).int_value();
old_trailing = (  int  ) args( 3 ).int_value();
direction = (  int  ) args( 4 ).int_value();
new_index =( int * )args( 5 ).long_value();
new_trailing =( int * )args( 6 ).long_value();
pango_layout_move_cursor_visually ( layout,strong,old_index,old_trailing,direction,new_index,new_trailing);
return octave_value();
}
DEFUN_DLD( pango_layout_xy_to_index , args , , " gboolean pango_layout_xy_to_index (PangoLayout * layout,int x,int y,int * index_,int * trailing); " )
{
PangoLayout *   layout ;
int   x ;
int   y ;
int *   index_ ;
int *   trailing ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  gboolean pango_layout_xy_to_index (PangoLayout * layout,int x,int y,int * index_,int * trailing); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_xy_to_index "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
x = (  int  ) args( 1 ).int_value();
y = (  int  ) args( 2 ).int_value();
index_ =( int * )args( 3 ).long_value();
trailing =( int * )args( 4 ).long_value();
long int ret_type=(long int) pango_layout_xy_to_index ( layout,x,y,index_,trailing);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_get_extents , args , , " void pango_layout_get_extents (PangoLayout * layout,PangoRectangle * ink_rect,PangoRectangle * logical_rect); " )
{
PangoLayout *   layout ;
PangoRectangle *   ink_rect ;
PangoRectangle *   logical_rect ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void pango_layout_get_extents (PangoLayout * layout,PangoRectangle * ink_rect,PangoRectangle * logical_rect); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_get_extents "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
ink_rect =( PangoRectangle * )args( 1 ).long_value();
logical_rect =( PangoRectangle * )args( 2 ).long_value();
pango_layout_get_extents ( layout,ink_rect,logical_rect);
return octave_value();
}
DEFUN_DLD( pango_layout_get_pixel_extents , args , , " void pango_layout_get_pixel_extents (PangoLayout * layout,PangoRectangle * ink_rect,PangoRectangle * logical_rect); " )
{
PangoLayout *   layout ;
PangoRectangle *   ink_rect ;
PangoRectangle *   logical_rect ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void pango_layout_get_pixel_extents (PangoLayout * layout,PangoRectangle * ink_rect,PangoRectangle * logical_rect); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_get_pixel_extents "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
ink_rect =( PangoRectangle * )args( 1 ).long_value();
logical_rect =( PangoRectangle * )args( 2 ).long_value();
pango_layout_get_pixel_extents ( layout,ink_rect,logical_rect);
return octave_value();
}
DEFUN_DLD( pango_layout_get_size , args , , " void pango_layout_get_size (PangoLayout * layout,int * width,int * height); " )
{
PangoLayout *   layout ;
int *   width ;
int *   height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void pango_layout_get_size (PangoLayout * layout,int * width,int * height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_get_size "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
width =( int * )args( 1 ).long_value();
height =( int * )args( 2 ).long_value();
pango_layout_get_size ( layout,width,height);
return octave_value();
}
DEFUN_DLD( pango_layout_get_pixel_size , args , , " void pango_layout_get_pixel_size (PangoLayout * layout,int * width,int * height); " )
{
PangoLayout *   layout ;
int *   width ;
int *   height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void pango_layout_get_pixel_size (PangoLayout * layout,int * width,int * height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_get_pixel_size "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
width =( int * )args( 1 ).long_value();
height =( int * )args( 2 ).long_value();
pango_layout_get_pixel_size ( layout,width,height);
return octave_value();
}
DEFUN_DLD( pango_layout_get_line_count , args , , " int pango_layout_get_line_count (PangoLayout * layout); " )
{
PangoLayout *   layout ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  int pango_layout_get_line_count (PangoLayout * layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_get_line_count "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
long int ret_type=(long int) pango_layout_get_line_count ( layout);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_get_line , args , , " PangoLayoutLine * pango_layout_get_line (PangoLayout * layout,int line); " )
{
PangoLayout *   layout ;
int   line ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  PangoLayoutLine * pango_layout_get_line (PangoLayout * layout,int line); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_get_line "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
line = (  int  ) args( 1 ).int_value();
long int ret_type= (long int) pango_layout_get_line ( layout,line);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_get_lines , args , , " GSList * pango_layout_get_lines (PangoLayout * layout); " )
{
PangoLayout *   layout ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GSList * pango_layout_get_lines (PangoLayout * layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_get_lines "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
long int ret_type= (long int) pango_layout_get_lines ( layout);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_line_ref , args , , " void pango_layout_line_ref (PangoLayoutLine * line); " )
{
PangoLayoutLine *   line ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void pango_layout_line_ref (PangoLayoutLine * line); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_line_ref "<<std::endl;
#endif /* DEBUG */
line =( PangoLayoutLine * )args( 0 ).long_value();
pango_layout_line_ref ( line);
return octave_value();
}
DEFUN_DLD( pango_layout_line_unref , args , , " void pango_layout_line_unref (PangoLayoutLine * line); " )
{
PangoLayoutLine *   line ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void pango_layout_line_unref (PangoLayoutLine * line); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_line_unref "<<std::endl;
#endif /* DEBUG */
line =( PangoLayoutLine * )args( 0 ).long_value();
pango_layout_line_unref ( line);
return octave_value();
}
DEFUN_DLD( pango_layout_line_x_to_index , args , , " gboolean pango_layout_line_x_to_index (PangoLayoutLine * line,int x_pos,int * index_,int * trailing); " )
{
PangoLayoutLine *   line ;
int   x_pos ;
int *   index_ ;
int *   trailing ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean pango_layout_line_x_to_index (PangoLayoutLine * line,int x_pos,int * index_,int * trailing); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_line_x_to_index "<<std::endl;
#endif /* DEBUG */
line =( PangoLayoutLine * )args( 0 ).long_value();
x_pos = (  int  ) args( 1 ).int_value();
index_ =( int * )args( 2 ).long_value();
trailing =( int * )args( 3 ).long_value();
long int ret_type=(long int) pango_layout_line_x_to_index ( line,x_pos,index_,trailing);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_line_index_to_x , args , , " void pango_layout_line_index_to_x (PangoLayoutLine * line,int index_,gboolean trailing,int * x_pos); " )
{
PangoLayoutLine *   line ;
int   index_ ;
gboolean   trailing ;
int *   x_pos ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void pango_layout_line_index_to_x (PangoLayoutLine * line,int index_,gboolean trailing,int * x_pos); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_line_index_to_x "<<std::endl;
#endif /* DEBUG */
line =( PangoLayoutLine * )args( 0 ).long_value();
index_ = (  int  ) args( 1 ).int_value();
trailing = (  gboolean  ) args( 2 ).long_value();
x_pos =( int * )args( 3 ).long_value();
pango_layout_line_index_to_x ( line,index_,trailing,x_pos);
return octave_value();
}
/* overriden: pango_layout_line_get_x_ranges  */
DEFUN_DLD( pango_layout_line_get_extents , args , , " void pango_layout_line_get_extents (PangoLayoutLine * line,PangoRectangle * ink_rect,PangoRectangle * logical_rect); " )
{
PangoLayoutLine *   line ;
PangoRectangle *   ink_rect ;
PangoRectangle *   logical_rect ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void pango_layout_line_get_extents (PangoLayoutLine * line,PangoRectangle * ink_rect,PangoRectangle * logical_rect); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_line_get_extents "<<std::endl;
#endif /* DEBUG */
line =( PangoLayoutLine * )args( 0 ).long_value();
ink_rect =( PangoRectangle * )args( 1 ).long_value();
logical_rect =( PangoRectangle * )args( 2 ).long_value();
pango_layout_line_get_extents ( line,ink_rect,logical_rect);
return octave_value();
}
DEFUN_DLD( pango_layout_line_get_pixel_extents , args , , " void pango_layout_line_get_pixel_extents (PangoLayoutLine * layout_line,PangoRectangle * ink_rect,PangoRectangle * logical_rect); " )
{
PangoLayoutLine *   layout_line ;
PangoRectangle *   ink_rect ;
PangoRectangle *   logical_rect ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void pango_layout_line_get_pixel_extents (PangoLayoutLine * layout_line,PangoRectangle * ink_rect,PangoRectangle * logical_rect); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_line_get_pixel_extents "<<std::endl;
#endif /* DEBUG */
layout_line =( PangoLayoutLine * )args( 0 ).long_value();
ink_rect =( PangoRectangle * )args( 1 ).long_value();
logical_rect =( PangoRectangle * )args( 2 ).long_value();
pango_layout_line_get_pixel_extents ( layout_line,ink_rect,logical_rect);
return octave_value();
}
DEFUN_DLD( pango_layout_get_iter , args , , " PangoLayoutIter * pango_layout_get_iter (PangoLayout * layout); " )
{
PangoLayout *   layout ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoLayoutIter * pango_layout_get_iter (PangoLayout * layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_get_iter "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
long int ret_type= (long int) pango_layout_get_iter ( layout);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_iter_free , args , , " void pango_layout_iter_free (PangoLayoutIter * iter); " )
{
PangoLayoutIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void pango_layout_iter_free (PangoLayoutIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_iter_free "<<std::endl;
#endif /* DEBUG */
iter =( PangoLayoutIter * )args( 0 ).long_value();
pango_layout_iter_free ( iter);
return octave_value();
}
DEFUN_DLD( pango_layout_iter_get_index , args , , " int pango_layout_iter_get_index (PangoLayoutIter * iter); " )
{
PangoLayoutIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  int pango_layout_iter_get_index (PangoLayoutIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_iter_get_index "<<std::endl;
#endif /* DEBUG */
iter =( PangoLayoutIter * )args( 0 ).long_value();
long int ret_type=(long int) pango_layout_iter_get_index ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_iter_get_run , args , , " PangoLayoutRun * pango_layout_iter_get_run (PangoLayoutIter * iter); " )
{
PangoLayoutIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoLayoutRun * pango_layout_iter_get_run (PangoLayoutIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_iter_get_run "<<std::endl;
#endif /* DEBUG */
iter =( PangoLayoutIter * )args( 0 ).long_value();
long int ret_type= (long int) pango_layout_iter_get_run ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_iter_get_line , args , , " PangoLayoutLine * pango_layout_iter_get_line (PangoLayoutIter * iter); " )
{
PangoLayoutIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoLayoutLine * pango_layout_iter_get_line (PangoLayoutIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_iter_get_line "<<std::endl;
#endif /* DEBUG */
iter =( PangoLayoutIter * )args( 0 ).long_value();
long int ret_type= (long int) pango_layout_iter_get_line ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_iter_at_last_line , args , , " gboolean pango_layout_iter_at_last_line (PangoLayoutIter * iter); " )
{
PangoLayoutIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean pango_layout_iter_at_last_line (PangoLayoutIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_iter_at_last_line "<<std::endl;
#endif /* DEBUG */
iter =( PangoLayoutIter * )args( 0 ).long_value();
long int ret_type=(long int) pango_layout_iter_at_last_line ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_iter_next_char , args , , " gboolean pango_layout_iter_next_char (PangoLayoutIter * iter); " )
{
PangoLayoutIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean pango_layout_iter_next_char (PangoLayoutIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_iter_next_char "<<std::endl;
#endif /* DEBUG */
iter =( PangoLayoutIter * )args( 0 ).long_value();
long int ret_type=(long int) pango_layout_iter_next_char ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_iter_next_cluster , args , , " gboolean pango_layout_iter_next_cluster (PangoLayoutIter * iter); " )
{
PangoLayoutIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean pango_layout_iter_next_cluster (PangoLayoutIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_iter_next_cluster "<<std::endl;
#endif /* DEBUG */
iter =( PangoLayoutIter * )args( 0 ).long_value();
long int ret_type=(long int) pango_layout_iter_next_cluster ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_iter_next_run , args , , " gboolean pango_layout_iter_next_run (PangoLayoutIter * iter); " )
{
PangoLayoutIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean pango_layout_iter_next_run (PangoLayoutIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_iter_next_run "<<std::endl;
#endif /* DEBUG */
iter =( PangoLayoutIter * )args( 0 ).long_value();
long int ret_type=(long int) pango_layout_iter_next_run ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_iter_next_line , args , , " gboolean pango_layout_iter_next_line (PangoLayoutIter * iter); " )
{
PangoLayoutIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean pango_layout_iter_next_line (PangoLayoutIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_iter_next_line "<<std::endl;
#endif /* DEBUG */
iter =( PangoLayoutIter * )args( 0 ).long_value();
long int ret_type=(long int) pango_layout_iter_next_line ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( pango_layout_iter_get_char_extents , args , , " void pango_layout_iter_get_char_extents (PangoLayoutIter * iter,PangoRectangle * logical_rect); " )
{
PangoLayoutIter *   iter ;
PangoRectangle *   logical_rect ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void pango_layout_iter_get_char_extents (PangoLayoutIter * iter,PangoRectangle * logical_rect); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_iter_get_char_extents "<<std::endl;
#endif /* DEBUG */
iter =( PangoLayoutIter * )args( 0 ).long_value();
logical_rect =( PangoRectangle * )args( 1 ).long_value();
pango_layout_iter_get_char_extents ( iter,logical_rect);
return octave_value();
}
DEFUN_DLD( pango_layout_iter_get_cluster_extents , args , , " void pango_layout_iter_get_cluster_extents (PangoLayoutIter * iter,PangoRectangle * ink_rect,PangoRectangle * logical_rect); " )
{
PangoLayoutIter *   iter ;
PangoRectangle *   ink_rect ;
PangoRectangle *   logical_rect ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void pango_layout_iter_get_cluster_extents (PangoLayoutIter * iter,PangoRectangle * ink_rect,PangoRectangle * logical_rect); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_iter_get_cluster_extents "<<std::endl;
#endif /* DEBUG */
iter =( PangoLayoutIter * )args( 0 ).long_value();
ink_rect =( PangoRectangle * )args( 1 ).long_value();
logical_rect =( PangoRectangle * )args( 2 ).long_value();
pango_layout_iter_get_cluster_extents ( iter,ink_rect,logical_rect);
return octave_value();
}
DEFUN_DLD( pango_layout_iter_get_run_extents , args , , " void pango_layout_iter_get_run_extents (PangoLayoutIter * iter,PangoRectangle * ink_rect,PangoRectangle * logical_rect); " )
{
PangoLayoutIter *   iter ;
PangoRectangle *   ink_rect ;
PangoRectangle *   logical_rect ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void pango_layout_iter_get_run_extents (PangoLayoutIter * iter,PangoRectangle * ink_rect,PangoRectangle * logical_rect); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_iter_get_run_extents "<<std::endl;
#endif /* DEBUG */
iter =( PangoLayoutIter * )args( 0 ).long_value();
ink_rect =( PangoRectangle * )args( 1 ).long_value();
logical_rect =( PangoRectangle * )args( 2 ).long_value();
pango_layout_iter_get_run_extents ( iter,ink_rect,logical_rect);
return octave_value();
}
DEFUN_DLD( pango_layout_iter_get_line_extents , args , , " void pango_layout_iter_get_line_extents (PangoLayoutIter * iter,PangoRectangle * ink_rect,PangoRectangle * logical_rect); " )
{
PangoLayoutIter *   iter ;
PangoRectangle *   ink_rect ;
PangoRectangle *   logical_rect ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void pango_layout_iter_get_line_extents (PangoLayoutIter * iter,PangoRectangle * ink_rect,PangoRectangle * logical_rect); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_iter_get_line_extents "<<std::endl;
#endif /* DEBUG */
iter =( PangoLayoutIter * )args( 0 ).long_value();
ink_rect =( PangoRectangle * )args( 1 ).long_value();
logical_rect =( PangoRectangle * )args( 2 ).long_value();
pango_layout_iter_get_line_extents ( iter,ink_rect,logical_rect);
return octave_value();
}
DEFUN_DLD( pango_layout_iter_get_line_yrange , args , , " void pango_layout_iter_get_line_yrange (PangoLayoutIter * iter,int * y0_,int * y1_); " )
{
PangoLayoutIter *   iter ;
int *   y0_ ;
int *   y1_ ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void pango_layout_iter_get_line_yrange (PangoLayoutIter * iter,int * y0_,int * y1_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_iter_get_line_yrange "<<std::endl;
#endif /* DEBUG */
iter =( PangoLayoutIter * )args( 0 ).long_value();
y0_ =( int * )args( 1 ).long_value();
y1_ =( int * )args( 2 ).long_value();
pango_layout_iter_get_line_yrange ( iter,y0_,y1_);
return octave_value();
}
DEFUN_DLD( pango_layout_iter_get_layout_extents , args , , " void pango_layout_iter_get_layout_extents (PangoLayoutIter * iter,PangoRectangle * ink_rect,PangoRectangle * logical_rect); " )
{
PangoLayoutIter *   iter ;
PangoRectangle *   ink_rect ;
PangoRectangle *   logical_rect ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void pango_layout_iter_get_layout_extents (PangoLayoutIter * iter,PangoRectangle * ink_rect,PangoRectangle * logical_rect); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_iter_get_layout_extents "<<std::endl;
#endif /* DEBUG */
iter =( PangoLayoutIter * )args( 0 ).long_value();
ink_rect =( PangoRectangle * )args( 1 ).long_value();
logical_rect =( PangoRectangle * )args( 2 ).long_value();
pango_layout_iter_get_layout_extents ( iter,ink_rect,logical_rect);
return octave_value();
}
DEFUN_DLD( pango_layout_iter_get_baseline , args , , " int pango_layout_iter_get_baseline (PangoLayoutIter * iter); " )
{
PangoLayoutIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  int pango_layout_iter_get_baseline (PangoLayoutIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_layout_iter_get_baseline "<<std::endl;
#endif /* DEBUG */
iter =( PangoLayoutIter * )args( 0 ).long_value();
long int ret_type=(long int) pango_layout_iter_get_baseline ( iter);
return octave_value(ret_type);
}
/* overriden: pango_trim_string  */
/* overriden: pango_read_line  */
/* overriden: pango_skip_space  */
/* overriden: pango_scan_word  */
/* overriden: pango_scan_string  */
/* overriden: pango_scan_int  */
/* overriden: pango_parse_style  */
/* overriden: pango_parse_variant  */
/* overriden: pango_parse_weight  */
/* overriden: pango_parse_stretch  */
/* overriden: pango_log2vis_get_embedding_levels  */
DEFUN_DLD( pango_get_mirror_char , args , , " gboolean pango_get_mirror_char (gunichar ch,gunichar * mirrored_ch); " )
{
gunichar   ch ;
gunichar *   mirrored_ch ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean pango_get_mirror_char (gunichar ch,gunichar * mirrored_ch); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" pango_get_mirror_char "<<std::endl;
#endif /* DEBUG */
ch = (  gunichar  ) args( 0 ).long_value();
mirrored_ch = new  gunichar   [args( 1 ).string_value ().length()];
strcpy( (char *) mirrored_ch ,args( 1 ).string_value().c_str());
long int ret_type=(long int) pango_get_mirror_char ( ch,mirrored_ch);
return octave_value(ret_type);
}
/* overriden: pango_language_get_sample_string  */
/* Overridden functions */
/* Linked Separately */
DEFUN_DLD(  , args , , " void (void); " )
{
octave_dynamic_loader::load("pango_color_get_type" ,"");
octave_dynamic_loader::load("pango_color_copy" ,"");
octave_dynamic_loader::load("pango_color_free" ,"");
octave_dynamic_loader::load("pango_color_parse" ,"");
octave_dynamic_loader::load("pango_attr_type_register" ,"");
octave_dynamic_loader::load("pango_attribute_copy" ,"");
octave_dynamic_loader::load("pango_attribute_destroy" ,"");
octave_dynamic_loader::load("pango_attribute_equal" ,"");
octave_dynamic_loader::load("pango_attr_language_new" ,"");
octave_dynamic_loader::load("pango_attr_family_new" ,"");
octave_dynamic_loader::load("pango_attr_foreground_new" ,"");
octave_dynamic_loader::load("pango_attr_background_new" ,"");
octave_dynamic_loader::load("pango_attr_size_new" ,"");
octave_dynamic_loader::load("pango_attr_style_new" ,"");
octave_dynamic_loader::load("pango_attr_weight_new" ,"");
octave_dynamic_loader::load("pango_attr_variant_new" ,"");
octave_dynamic_loader::load("pango_attr_stretch_new" ,"");
octave_dynamic_loader::load("pango_attr_font_desc_new" ,"");
octave_dynamic_loader::load("pango_attr_underline_new" ,"");
octave_dynamic_loader::load("pango_attr_strikethrough_new" ,"");
octave_dynamic_loader::load("pango_attr_rise_new" ,"");
octave_dynamic_loader::load("pango_attr_shape_new" ,"");
octave_dynamic_loader::load("pango_attr_scale_new" ,"");
octave_dynamic_loader::load("pango_attr_list_get_type" ,"");
octave_dynamic_loader::load("pango_attr_list_new" ,"");
octave_dynamic_loader::load("pango_attr_list_ref" ,"");
octave_dynamic_loader::load("pango_attr_list_unref" ,"");
octave_dynamic_loader::load("pango_attr_list_copy" ,"");
octave_dynamic_loader::load("pango_attr_list_insert" ,"");
octave_dynamic_loader::load("pango_attr_list_insert_before" ,"");
octave_dynamic_loader::load("pango_attr_list_change" ,"");
octave_dynamic_loader::load("pango_attr_list_splice" ,"");
octave_dynamic_loader::load("pango_attr_list_filter" ,"");
octave_dynamic_loader::load("pango_attr_list_get_iterator" ,"");
octave_dynamic_loader::load("pango_attr_iterator_range" ,"");
octave_dynamic_loader::load("pango_attr_iterator_next" ,"");
octave_dynamic_loader::load("pango_attr_iterator_copy" ,"");
octave_dynamic_loader::load("pango_attr_iterator_destroy" ,"");
octave_dynamic_loader::load("pango_attr_iterator_get" ,"");
octave_dynamic_loader::load("pango_attr_iterator_get_font" ,"");
octave_dynamic_loader::load("pango_attr_iterator_get_attrs" ,"");
octave_dynamic_loader::load("pango_parse_markup" ,"");
octave_dynamic_loader::load("pango_break" ,"");
octave_dynamic_loader::load("pango_find_paragraph_boundary" ,"");
octave_dynamic_loader::load("pango_get_log_attrs" ,"");
octave_dynamic_loader::load("pango_context_get_type" ,"");
octave_dynamic_loader::load("pango_context_list_families" ,"");
octave_dynamic_loader::load("pango_context_load_font" ,"");
octave_dynamic_loader::load("pango_context_load_fontset" ,"");
octave_dynamic_loader::load("pango_context_get_metrics" ,"");
octave_dynamic_loader::load("pango_context_set_font_description" ,"");
octave_dynamic_loader::load("pango_context_get_font_description" ,"");
octave_dynamic_loader::load("pango_context_get_language" ,"");
octave_dynamic_loader::load("pango_context_set_language" ,"");
octave_dynamic_loader::load("pango_context_set_base_dir" ,"");
octave_dynamic_loader::load("pango_context_get_base_dir" ,"");
octave_dynamic_loader::load("pango_itemize" ,"");
octave_dynamic_loader::load("pango_attr_type_get_type" ,"");
octave_dynamic_loader::load("pango_underline_get_type" ,"");
octave_dynamic_loader::load("pango_coverage_level_get_type" ,"");
octave_dynamic_loader::load("pango_style_get_type" ,"");
octave_dynamic_loader::load("pango_variant_get_type" ,"");
octave_dynamic_loader::load("pango_weight_get_type" ,"");
octave_dynamic_loader::load("pango_stretch_get_type" ,"");
octave_dynamic_loader::load("pango_font_mask_get_type" ,"");
octave_dynamic_loader::load("pango_alignment_get_type" ,"");
octave_dynamic_loader::load("pango_wrap_mode_get_type" ,"");
octave_dynamic_loader::load("pango_tab_align_get_type" ,"");
octave_dynamic_loader::load("pango_direction_get_type" ,"");
octave_dynamic_loader::load("pango_font_map_get_type" ,"");
octave_dynamic_loader::load("pango_font_map_load_font" ,"");
octave_dynamic_loader::load("pango_font_map_load_fontset" ,"");
octave_dynamic_loader::load("pango_font_map_list_families" ,"");
octave_dynamic_loader::load("pango_fontset_get_type" ,"");
octave_dynamic_loader::load("pango_fontset_get_font" ,"");
octave_dynamic_loader::load("pango_fontset_get_metrics" ,"");
octave_dynamic_loader::load("pango_glyph_string_new" ,"");
octave_dynamic_loader::load("pango_glyph_string_set_size" ,"");
octave_dynamic_loader::load("pango_glyph_string_get_type" ,"");
octave_dynamic_loader::load("pango_glyph_string_copy" ,"");
octave_dynamic_loader::load("pango_glyph_string_free" ,"");
octave_dynamic_loader::load("pango_glyph_string_extents" ,"");
octave_dynamic_loader::load("pango_glyph_string_extents_range" ,"");
octave_dynamic_loader::load("pango_glyph_string_get_logical_widths" ,"");
octave_dynamic_loader::load("pango_glyph_string_index_to_x" ,"");
octave_dynamic_loader::load("pango_glyph_string_x_to_index" ,"");
octave_dynamic_loader::load("pango_shape" ,"");
octave_dynamic_loader::load("pango_reorder_items" ,"");
octave_dynamic_loader::load("pango_glyph_item_split" ,"");
octave_dynamic_loader::load("pango_glyph_item_apply_attrs" ,"");
octave_dynamic_loader::load("pango_item_new" ,"");
octave_dynamic_loader::load("pango_item_copy" ,"");
octave_dynamic_loader::load("pango_item_free" ,"");
octave_dynamic_loader::load("pango_item_split" ,"");
octave_dynamic_loader::load("pango_layout_get_type" ,"");
octave_dynamic_loader::load("pango_layout_new" ,"");
octave_dynamic_loader::load("pango_layout_copy" ,"");
octave_dynamic_loader::load("pango_layout_get_context" ,"");
octave_dynamic_loader::load("pango_layout_set_attributes" ,"");
octave_dynamic_loader::load("pango_layout_get_attributes" ,"");
octave_dynamic_loader::load("pango_layout_set_text" ,"");
octave_dynamic_loader::load("pango_layout_get_text" ,"");
octave_dynamic_loader::load("pango_layout_set_markup" ,"");
octave_dynamic_loader::load("pango_layout_set_markup_with_accel" ,"");
octave_dynamic_loader::load("pango_layout_set_font_description" ,"");
octave_dynamic_loader::load("pango_layout_set_width" ,"");
octave_dynamic_loader::load("pango_layout_get_width" ,"");
octave_dynamic_loader::load("pango_layout_set_wrap" ,"");
octave_dynamic_loader::load("pango_layout_get_wrap" ,"");
octave_dynamic_loader::load("pango_layout_set_indent" ,"");
octave_dynamic_loader::load("pango_layout_get_indent" ,"");
octave_dynamic_loader::load("pango_layout_set_spacing" ,"");
octave_dynamic_loader::load("pango_layout_get_spacing" ,"");
octave_dynamic_loader::load("pango_layout_set_justify" ,"");
octave_dynamic_loader::load("pango_layout_get_justify" ,"");
octave_dynamic_loader::load("pango_layout_set_alignment" ,"");
octave_dynamic_loader::load("pango_layout_get_alignment" ,"");
octave_dynamic_loader::load("pango_layout_set_tabs" ,"");
octave_dynamic_loader::load("pango_layout_get_tabs" ,"");
octave_dynamic_loader::load("pango_layout_set_single_paragraph_mode" ,"");
octave_dynamic_loader::load("pango_layout_get_single_paragraph_mode" ,"");
octave_dynamic_loader::load("pango_layout_context_changed" ,"");
octave_dynamic_loader::load("pango_layout_get_log_attrs" ,"");
octave_dynamic_loader::load("pango_layout_index_to_pos" ,"");
octave_dynamic_loader::load("pango_layout_get_cursor_pos" ,"");
octave_dynamic_loader::load("pango_layout_move_cursor_visually" ,"");
octave_dynamic_loader::load("pango_layout_xy_to_index" ,"");
octave_dynamic_loader::load("pango_layout_get_extents" ,"");
octave_dynamic_loader::load("pango_layout_get_pixel_extents" ,"");
octave_dynamic_loader::load("pango_layout_get_size" ,"");
octave_dynamic_loader::load("pango_layout_get_pixel_size" ,"");
octave_dynamic_loader::load("pango_layout_get_line_count" ,"");
octave_dynamic_loader::load("pango_layout_get_line" ,"");
octave_dynamic_loader::load("pango_layout_get_lines" ,"");
octave_dynamic_loader::load("pango_layout_line_ref" ,"");
octave_dynamic_loader::load("pango_layout_line_unref" ,"");
octave_dynamic_loader::load("pango_layout_line_x_to_index" ,"");
octave_dynamic_loader::load("pango_layout_line_index_to_x" ,"");
octave_dynamic_loader::load("pango_layout_line_get_x_ranges" ,"");
octave_dynamic_loader::load("pango_layout_line_get_extents" ,"");
octave_dynamic_loader::load("pango_layout_line_get_pixel_extents" ,"");
octave_dynamic_loader::load("pango_layout_get_iter" ,"");
octave_dynamic_loader::load("pango_layout_iter_free" ,"");
octave_dynamic_loader::load("pango_layout_iter_get_index" ,"");
octave_dynamic_loader::load("pango_layout_iter_get_run" ,"");
octave_dynamic_loader::load("pango_layout_iter_get_line" ,"");
octave_dynamic_loader::load("pango_layout_iter_at_last_line" ,"");
octave_dynamic_loader::load("pango_layout_iter_next_char" ,"");
octave_dynamic_loader::load("pango_layout_iter_next_cluster" ,"");
octave_dynamic_loader::load("pango_layout_iter_next_run" ,"");
octave_dynamic_loader::load("pango_layout_iter_next_line" ,"");
octave_dynamic_loader::load("pango_layout_iter_get_char_extents" ,"");
octave_dynamic_loader::load("pango_layout_iter_get_cluster_extents" ,"");
octave_dynamic_loader::load("pango_layout_iter_get_run_extents" ,"");
octave_dynamic_loader::load("pango_layout_iter_get_line_extents" ,"");
octave_dynamic_loader::load("pango_layout_iter_get_line_yrange" ,"");
octave_dynamic_loader::load("pango_layout_iter_get_layout_extents" ,"");
octave_dynamic_loader::load("pango_layout_iter_get_baseline" ,"");
octave_dynamic_loader::load("pango_trim_string" ,"");
octave_dynamic_loader::load("pango_read_line" ,"");
octave_dynamic_loader::load("pango_skip_space" ,"");
octave_dynamic_loader::load("pango_scan_word" ,"");
octave_dynamic_loader::load("pango_scan_string" ,"");
octave_dynamic_loader::load("pango_scan_int" ,"");
octave_dynamic_loader::load("pango_parse_style" ,"");
octave_dynamic_loader::load("pango_parse_variant" ,"");
octave_dynamic_loader::load("pango_parse_weight" ,"");
octave_dynamic_loader::load("pango_parse_stretch" ,"");
octave_dynamic_loader::load("pango_log2vis_get_embedding_levels" ,"");
octave_dynamic_loader::load("pango_get_mirror_char" ,"");
octave_dynamic_loader::load("pango_language_get_sample_string" ,"");
octave_dynamic_loader::load("pango_fc_decoder_get_type" ,"");
octave_dynamic_loader::load("pango_fc_decoder_get_charset" ,"");
octave_dynamic_loader::load("pango_fc_decoder_get_glyph" ,"");
return octave_value("Code generated onFri Mar 25 01:48:26 2005\n Compiled on " __DATE__  __TIME__ "\n loadedLibrary!");
}

